(name) Already exists

There is already a chart or report that has the name you typed.

Type a different name.

A report or chart name can be up to 15 characters long.


A tutorial is already running

You tried to start the tutorial while it was already running.

If the tutorial is visible, click it to bring the tutorial window the front.

If you cannot see the tutorial, press CTRL+ESC to open the Windows Task Manager, highlight Microsoft Works Tutorial, and then click Switch To.


Argument is wrong type

You have typed an argument that is not valid for the function you are using.  For example, you may have typed text as one of the arguments for the SUM function.

Correct the argument.  For more information on using functions, see the Function Reference topic.

More information

Function reference (Database)

Function reference (Spreadsheet)


Available Clipboard formats changed

You left the Paste Special dialog box open and then copied or cut information in another application.  The data formats in the dialog may have changed.

The data formats displayed in the Paste Special dialog depend on the information on the Clipboard.  When you cut or copied information in another application it replaced the information that was on the Clipboard, and may have changed the data formats in the Paste Special dialog box.

If you want to display the original data formats, return to the Works document you cut or copied the original information from, and cut or copy the information again.


Backup filename same as directory name

You cannot open or save a backup file that has the same name as an existing directory.

Type another filename.

A filename can contain up to eight characters.  You can use any characters except for spaces and those shown below, which have a special meaning for DOS.


Bookmark name already used

There is already a bookmark that has the name you typed.

Type a different name, up to 15 characters long.

More information

Creating bookmarks


Call not completed

The phone call you tried to place using the Dial This Number command could not be completed.

Check your telephone and modem connections to make sure they are working correctly.

More information

Modem settings and dialing a phone number


Can only link to original source

You copied a linked object to your document.  Works can only link the object to its original source document.

Click OK to close the dialog box and accept the link to the original source document.


Can only save document with current name.  Save anyway?

Works does not have enough memory to rename the document.

To save the document with its current name, click OK.

--Or--

To cancel the saving operation, click Cancel.

You may be able to increase memory by saving your work and closing any open documents.

More information

Closing a document


Cannot access document: insert disk containing document (filename)

Either the disk you tried to save the document on is not the disk from which the document was opened, or the floppy disk is not in the drive, or the disk is write-protected.

When you save a document using the Save command, you must save it on the disk from which it was opened.

If the correct disk is not in your disk drive, insert it and then try again.

--Or--

If the disk is sealed or write-protected, remove the seal or the write-protection.

--Or--

Click Cancel.  Works displays the Save As dialog box.  Check the path and filename under File Name.  If they are not correct, type the correct path and filename and then try again.


Cannot access source application

Works cannot communicate with the source application you have chosen.

The source application may have been moved or deleted, or some of its files may have been damaged.

Run the application's setup or installation program to reinstall it on your computer.  The program should be located on the application's original floppy disks.

Note:  When you install an application that can link or embed information, Works records the application's location.  If you later move that application, Works will not be able to find it unless you reinstall it in its new location.

More information

Linking information

Adding linked spreadsheet information

Embedding information


Cannot add tab stops

You cannot set more than 20 tab stops in one paragraph.

Either delete some existing tab stops before setting new ones, or revise your document to use fewer than 20 tab stops in the paragraph.

More information

Setting custom tabs for a paragraph


Cannot adjust Clipboard references

The information you pasted contains references to other cells.  These references could not be adjusted to the cells' new location.

Some formulas and references in the pasted region may be incorrect.  Check them and readjust them if necessary.

More information

Relative, absolute, and mixed references

Copying entries

Moving entries


Cannot change: document is read-only

You cannot save a document that was previously defined as read-only.

If you want to save changes you've made to a read-only document, choose Save As from the File menu and save the document under a different filename.

The original read-only document is left intact.

More information

Naming and saving a document


Cannot change: form protected

You cannot change a Database form while form protection is turned on.

From the Options menu, choose Protect Form to turn protection off, and then change the form.

When protection is turned off, a check mark is no longer displayed beside Protect Form on the menu.

More information

Protecting a form


Cannot change: locked

You cannot type or edit information in a Spreadsheet cell or Database field while data protection is turned on.

From the Options menu, choose Protect Data to turn protection off, and then type or edit the information.

When protection is turned off, a check mark is no longer displayed beside Protect Data on the menu.

More information

Protecting entries (Database)

Protecting entries (Spreadsheet)


Cannot continue loading workspace

Works cannot locate a document that you have designated as part of your workspace.

If you have moved or renamed the document, open it and choose Save Workspace.  The new name and location will be recorded.

More information

Saving the workspace


Cannot copy characters

You cannot copy the last paragraph mark
( [image]) of a header or footer, or of a footnote marker in the footnote pane.

Highlight text that does not contain these characters.


Cannot copy to this view

You cannot copy highlighted text into a database report or query, or into a chart.

If you want to copy into a database, the database must be in list view or form view.

You cannot copy to a chart or to another chart window.


Cannot create series

You cannot specify a series increment of 0 (zero).

Type a number other than zero in the Step By box.


Cannot delete: bookmark does not exist

There is no bookmark that has the name you typed.

Type the correct name or click the name in the list under Names, and then click Delete.

More information

Creating bookmarks


Cannot delete empty field

You have highlighted an empty field and then chosen the Cut command.

Make a new selection that does not include an empty field.


Cannot delete: range name does not exist

The range name you typed does not exist.

To delete a range name, type the correct name or select it from the list, and then click Delete.

More information

Naming a cell or range


Cannot edit object

The source application cannot open the object you have selected.

The source application may have been moved or deleted, or some of its files may have been damaged.

Run the application's setup or installation program to reinstall it on your computer.  The program should be located on the application's original floppy disks.

Note:  When you install an application that can link or embed information, Works records the application's location.  If you later move that application, Works will not be able to find it unless you reinstall it in its new location.

More information

Linking information

Adding linked spreadsheet information

Embedding information


Cannot edit object: source application busy

You tried to edit an object while the application that contains the object's source document was busy.

Click OK to close the message and try to edit the object after the source document's application has completed what it is doing.


Cannot find a CD drive

Works for Windows is trying to locate files on its CD-ROM, but cannot detect a CD drive on your computer.

Make sure that you have a CD drive, and that the drive is properly installed.


Cannot find chart

You inserted a linked chart in this Word Processor document, and then later renamed or deleted the chart.

Delete the existing chart from the Word Processor document, and then choose Insert Chart from the Edit menu to insert a new chart.

More information

Linking information

Adding linked spreadsheet information


Cannot find COM port: (COMx:)

Works couldn't find the COM port you specified in the Works Settings dialog box.  For example, you may have chosen COM2 when your personal computer doesn't have the COM2 serial port hardware installed.

Correct the port selection, and then try again.


Cannot find directory

There is no directory on this drive that has the name you typed.

Check to be sure you have typed the correct directory name.

If the directory is on a different drive, type the correct path or choose the correct drive before you type the directory name.

More information

Opening a document

Naming and saving a document


Cannot find document or document open

Works cannot find the document you want to open; or the document is already open in Works.

Make sure the path and filename you typed for the document are correct.

If you are using Works on a network, another person on the network may have the document open.  You may need to wait until the person closes the document before you can open it.

More information

Opening a document


Cannot find linked document

You tried to edit or update linked information, but Works cannot find the source document.

Check to be sure you have not moved or renamed the source document.  If you have, you will need to change the link.  For information on changing a link, see Linking Information.

More information

Linking information


Cannot find tutorial files

The files Works needs to run the tutorial are unavailable.

The tutorial files may have been moved, damaged, or deleted from your computer.  To reinstall these files, run the Setup program from your Works CD to reinstall Works.

--Or--

Works cannot find certain parts of the tutorial that are on your Works CD.  Make sure your CD-ROM drive is connected to your computer, turned on, and the Works CD is in the drive.


Cannot initialize speller

The files Works needs to check spelling are unavailable.

The spelling and dictionary files may have been moved, damaged, or deleted from your computer.  To reinstall these files, run the Setup program from your Works CD to reinstall Works.


Not enough memory to keep track of new formats

Works does not have enough memory to keep track of any new formatting changes.

To apply new formats, you must remove old formats from the group of characters you wish to change.

More information

Changing text appearance (Word Processor)

Changing information appearance (Database)

Changing the appearance of entries (Spreadsheet)

Changing chart appearance (Charting)

Changing text appearance (Reporting)


Cannot insert row here

You tried to move a Database report row to a location that is out of sequence.  For example, you may have tried to move a Title row after a Record row.

Report rows can only occur in a specific order:  Title rows, then Headings rows, then Record rows, and then Summary rows.

Choose a valid destination in your report definition, and then insert the row.

More information

Changing a report


Cannot load conversion files

The files Works needs to convert the document to another file format are unavailable.

The conversion files may have been moved, damaged, or deleted from your computer.  To reinstall the conversion files, run the Setup program from your Works CD to reinstall Works.


Cannot load dictionary

Works' dictionary files are unavailable.

The dictionary files may have been moved, damaged, or deleted from your computer.  To reinstall the dictionary files, run the Setup program from your Works CD to reinstall Works.


Cannot load Thesaurus

Works' Thesaurus files are unavailable.

The Thesaurus files may have been moved, damaged, or deleted from your computer.  To reinstall the Thesaurus files, run the Setup program from your Works CD to reinstall Works.


Cannot load tutorial

The files Works needs to run this tutorial are unavailable.

The tutorial files may have been moved, damaged, or deleted from your computer.  To reinstall these files, run the Setup program from your Works CD to reinstall Works.

--Or--

You do not have enough available memory to load the tutorial.  You may be able to increase the amount of available memory by doing one of the following:

Save any open documents and close all applications except Works.

If you are using a screen saver, turn it off.

Reduce the size of the SmartDrive disk cache that comes with Windows.

Consult your Windows documentation for more information on the SmartDrive program.

If your computer is a 386, check to make sure that you are running Windows in enhanced mode.

To check which mode you're running in, in the Program Manager window, choose About Program Manager from the Help menu.  If you are running in enhanced mode, you will see 386 enhanced mode in the box.

If you are not running in enhanced mode, close Windows.  At the MS-DOS prompt, type WIN /E.  This will start Windows in enhanced mode.

--Or--

Works cannot find certain parts of the tutorial that are on your Works CD.  Make sure your CD-ROM drive is connected to your computer, turned on, and the Works CD is in the drive.


Cannot make backup: save anyway?

The backup file for this document is already open.  You must first close it if you want to make a new backup file.

Click Cancel to close the message box, close the backup file, and then choose Save As from the file menu again to create a backup copy.

--Or--

Click OK to save the file without creating a backup copy.


Cannot move

You cannot move the last paragraph mark
( [image]) of a header or footer, or a footnote mark in the footnote pane.

Highlight text that does not include these characters.


Cannot open encrypted dBase file

Works cannot read dBase files that have been encrypted.

To open this file in Works you must first go back to dBase, open the file, and save it in a non-encrypted format.


Cannot open document

The document you want to open is protected by a password, or has been saved in a file format Works doesn't recognize.

If the file is protected by a password, you must remove the protection in order to open it.

If Works does not recognize the document's file format, try returning to the application you used to create the document and saving the document as a text (ASCII) file.

More information

Opening files from other applications (Database)

Opening files from other applications (Spreadsheet)

Opening files from other applications (Word Processor)


Cannot find file or file already open

Works cannot find the file, or the file is already open.  If you are trying to edit linked information, the source document may have been moved or renamed.

If you are trying to open a file, make sure the path you entered is accurate.

If you are connected to a network, make sure the file is not being used by anyone else on the network, or that it can be accessed by multiple users.

If you are trying to edit linked information and have moved or renamed the document the information is linked to, you need to change the link.  For information on changing a link, see Linking Information.

More information

Linking information


Cannot print label at edge of page

The label spacing or page margin measurements you have entered cause a label to fall into your printer's non-printing region.

Adjust the Label Spacing measurements in the Print Labels dialog box or the Margin settings in the Page Setup & Margins dialog box so that the labels do not fall into the non-printing region.

For more information, see the instructions for printing mailing labels in the Printing Mailing Labels topic.

For information on the size of your printer's non-printing region, see your printer documentation.

More information

Printing mailing labels


Cannot read disk in Drive X

Works cannot read the disk to save or open the document.

Be sure there is a disk in the drive, and that the drive is closed.

Be sure the disk is formatted correctly, and that it is not damaged.

If the drive Works cannot read from is a network drive, check to be sure the network is still connected.


Cannot replace backup file

Works cannot replace the backup file on your disk to create a new backup file.

Make sure that the backup file on your disk is not protected in some way that prevents overwriting it.

If you cannot remove protection from the existing backup file, you may want to save your file to a different drive or directory.

More information

Naming and saving a document


Cannot run application; may be corrupted

Some of the files Works needs to run may be damaged or deleted.

Run the Setup program from your Works CD to reinstall Works.


Cannot run WorksWizards with more than six open documents

Works cannot run a WorksWizard when you have more than six documents open.

Close some documents and then run the WorksWizard.

More information

Closing a document

Using WorksWizards


Cannot save document

Works cannot save this document to the specified location.

Make sure that the disk you are saving to is neither write-protected nor full.

You may want to use the Save As command to save the document to a different drive or directory.  For more information, see Naming and Saving a Document.

More information

Naming and saving a document


Cannot select hidden record

The number you typed is a hidden record.  Works cannot select a hidden record.

If you want to display the record in order to select it:

From the Select menu, choose Show All Records to display all records in the database.

--Or--

From the Select menu, choose Switch Hidden Records to display hidden records and hide visible records.

More information

Hiding a record


Cannot start Help

The files Works needs to start Help are unavailable.

The WINHELP.EXE file that Works needs to start Help may have been moved, damaged, or deleted from your computer.  You can reinstall this file by running the Setup program from your Works CD to reinstall Works.

The Help files themselves are on your Works CD.  Make sure your CD-ROM drive is connected to your computer, and the Works CD is in the drive.


Cannot start server application

Works cannot start the application you want to use to create or edit linked or embedded information.

The application may have been moved or deleted, or some of its files may have been damaged.

Run the application's setup or installation program to reinstall it on your computer.  The program should be located on the application's original floppy disks.

Note:  When you install an application that can link or embed information, Works records the application's location.  If you later move that application, Works will not be able to find it unless you reinstall it in its new location.

More information

Linking information

Adding linked spreadsheet information

Embedding information


Cannot start tutorial

The files Works needs to run the tutorial are unavailable.

The files Works needs to start the tutorial may have been moved, damaged, or deleted from your computer.  You can reinstall these files by running the Setup program from your Works CD to reinstall Works.


Cannot start Works

Works could not be started.

1	Make sure your CD-ROM drive is connected to your computer, and the Works CD is in the drive.

2	Works may not be installed properly on your computer.  Run the Setup program from your Works CD to reinstall Works.

3	You may not have enough available memory to run Works.  You may be able to increase the amount of available memory by doing one of the following:

Close any applications you are running.

If you are using a screen saver, turn it off.

Reduce the size of the SmartDrive disk cache that comes with Windows.

Consult your Windows documentation for more information on the SmartDrive program.

If your computer is a 386, check to make sure that you are running Windows in enhanced mode.

To check which mode you're running in, in the Program Manager window, choose About Program Manager from the Help menu.  If you are running in enhanced mode, you will see 386 enhanced mode in the box.

If you are not running in enhanced mode, close Windows.  At the MS-DOS prompt, type WIN /E.  This will start Windows in enhanced mode.


Cannot start WorksWizard

The files Works needs to start the WorksWizard are unavailable.

The files Works needs to start the WorksWizard may have been moved, damaged, or deleted from your computer.  You can reinstall these files by running the Setup program from your Works CD to reinstall Works.


Cannot type here: enter query formula in cells

In Database Query view, you tried to type a query formula somewhere other than in a field.

Highlight the field in which you want the query formula, and then try again.


Cannot use this command right now

Some commands cannot be used in every situation.  For example, you cannot choose the Save command when no documents are open.  When a command cannot be chosen, it is dimmed on the menu.

Note:  If you are in the Spreadsheet or Database and have typed an entry, you need to press ENTER to accept the entry or ESC to cancel it before certain commands are available.

To find out more about any command, highlight the command name on the menu and press F1.


Choose OK after loading paper

You have chosen the Manual Page Feed option in the Printer Setup dialog box, and your printer is waiting for you to add paper.

Load paper into the printer, and then choose OK to continue printing.


Close this document, exit, and then restart Works

Works has run out of memory.  If you continue working you may lose your work.

Close all open documents, exit Works, and then start it again.

You may be able to increase memory by closing any other applications you have running, and working with fewer open documents in Works.

More information

Closing a document


Column width not valid (0..79)

A spreadsheet column width must be between 0 (zero) and 79 characters.

Type a column width between 0 and 79.


Column width not valid (1..79)

A Report column width must be between 1 and 79 characters.

Type a column width between 1 and 79.


Complete operation before opening document

You tried to open a document before completing your previous operation.  For example, a dialog box may still be open from the last command you chose.

Complete your last operation and then open the document.


Continue to display errors?

Works cannot display or calculate certain entries in this spreadsheet file.

To load the file and show all errors, click Yes.

--Or--

To load the file without displaying errors, click No.

--Or--

To cancel opening the file in Works, click Cancel.


Conversion file not available

The files Works needs to change this document's file format are unavailable.

The conversion files may have been moved, damaged, or deleted from your computer.  To reinstall the conversion files, run the Setup program from your Works CD to reinstall Works.


Conversion not completed

Works could not finish changing the document's file format.

The conversion files may have been moved, damaged, or deleted from your computer.  To reinstall the conversion files, run the Setup program from your Works CD to reinstall Works.


Copy source not valid

You chose the Copy command from the Edit menu in the Database report definition view, but the selection contains only blank cells.

Change the selection, and then choose the Copy command from the Edit menu again.


Could not load entire file

The document you are opening exceeds the capacity of the Works Spreadsheet tool.

Works will display as much of the document as possible.

You may want to save the document as two or more smaller documents which can then be opened in Works.


Destination not valid

You tried to copy a paragraph mark from the Word Processor into the header or footer paragraph.

--Or--

You tried to copy information over a header and footer paragraph mark.

--Or--

You tried to move or copy a footnote mark from the Word Processor window to the footnote pane or to a header and footer paragraph.

These actions are not valid in Works.


Destination protected

The cell or field you are pasting the information into is protected.

From the Options menu, choose Protect Data to turn protection off, and then paste the information.

When protection is turned off, a check mark is no longer displayed beside Protect Data on the menu.

More information

Protecting entries (Database)

Protecting entries (Spreadsheet)


Dictionary file must be closed

Your personal dictionary file, PERSONAL.DIC, is open.

You must close the dictionary file in order to check spelling.

More information

Checking spelling


Dictionary not valid

Works cannot find a valid dictionary file.

Works' dictionary files may have been moved, damaged, or deleted from your computer.  To reinstall these files, run the Setup program from your Works CD to reinstall Works.


Directory full: save to another directory

There is not enough room in the specified directory to save this document.

Save the document to a different directory.

--Or--

Delete any unnecessary documents from the specified directory to make room.

More information

Naming and saving a document


Disk full

There is not enough room to save the document on the specified disk.

Save the file to a different disk, or delete any unnecessary documents from the specified disk to make room.

Note:  As you work, Works creates and uses a temporary scratch file.  If this file becomes too large, Works displays the Disk Full message.

Save all open documents, and then continue working.

More information

Naming and saving a document


Document not saved:  save document to another disk or another drive

Works could not save the document, because the disk or drive you are saving it to is full.

Choose Save As from the File menu, and then choose another drive to save the document to.

--Or--

If you are saving the file to a floppy disk, insert a different disk, choose Save As from the File menu, and save the file to the new disk.

More information

Naming and saving a document


Document too big

The document you are trying to save is larger than eight megabytes, which is the largest size document Works can save.

Break the document up into smaller documents that can be saved in Works.

--Or--

Edit the document to shorten it.

--Or--

You may be able to make the document smaller by reducing the amount of formatting in it.  Formatting instructions can cause a document's size in bytes to increase.


End of document: continue to check spelling from start?

Works has finished checking spelling from the insertion point to the end of the document.

To continue checking from the beginning of the document, choose OK.

--Or--

To stop the spelling check, choose Cancel.

More information

Checking spelling


End of file not valid

Works cannot open the document you specified because the document contains an end-of-file marker that is not valid.

The document may be corrupted.  Try to open your backup copy if you have one.

More information

Opening a document


Enter first value

To enter a series of numbers, you must specify a starting value for the series.

Type a starting value for the series, highlight the starting value and the area you want to fill the series into, and then choose Fill Series from the Edit menu again.

--Or--

If there is already an entry you want to use as a starting value, be sure to include that entry in the area you highlight.

More information

Entering a series of numbers (Spreadsheet)

Entering a series of numbers (Database)


Error accessing dictionary

The dictionary files Works uses to check spelling are unavailable.

The dictionary files may have been moved, damaged, or deleted from your computer.  To reinstall the dictionary files, run the Setup program from your Works CD to reinstall Works.


Error opening object in server on network

You tried to open an object in a server that resides on a network.  Works cannot open this object.

The application needed to open the object is on a network.  Check your computer's network connection and try again.


Error putting data on Clipboard

Works ran out of memory while you were cutting or copying the information, and the information may not have been transferred to the Clipboard correctly.

To free up memory, save your work and close any unnecessary open documents.  Close any applications other than Works that you are running.

You can try pasting the information from the Clipboard; it may have been transferred correctly.


Error reading file for conversion

Works made an error reading the document whose file format you want to change.

  Try changing the document's file format again.  The files Works uses to convert file formats may have been moved, damaged, or deleted from your computer.  To reinstall the conversion files, run the Setup program from your Works CD to reinstall Works.


Error writing file for conversion

Works made an error writing the document whose file format you changed.

  Try changing the document's file format again.  The files Works uses to convert file formats may have been moved, damaged, or deleted from your computer.  To reinstall the conversion files, run the Setup program from your Works CD to reinstall Works.


Errors detected: (number)

Works has detected a number of errors in the spreadsheet you are opening.

You may want to try opening the spreadsheet again.  Some errors may be the result of formulas or references that Works does not understand.  You may want to examine your spreadsheet for these errors.

More information

Opening files from other applications


Extension is the same as backups: type a new file extension

The three-letter file extension you have typed is the same as the backup copy's extension.

When you choose the Make Backup Copy option in the Save As dialog box, Works automatically creates a backup copy of the document and gives it a three-letter extension:

.BPS for a Word Processor document

.BKS for a spreadsheet

.BDB for a database

Type an extension for the file that is different from the extension Works adds to the backup copy.


Field contents too long: continue?

Works cannot merge this much information.

Works can merge about 2050 characters from a Database into a Word Processor document.  This number varies depending on the number of field placeholders in the Word Processor document and the number of characters in each field of the database.

Reduce the number of fields used in your main document, or reduce the size of the fields in your database.


Field does not exist: insert anyway?

There is no field in the database you've highlighted that has this name.

If the field you want to insert exists in another database, be sure the database is open and its name is highlighted in the Print Form Letters or Print Mailing Labels dialog box.

Note:  Even though this field does not exist in the currently highlighted database, Works will insert the field into your Word Processor document if you choose OK.

More information

Form letters and mailing labels


Field name already used

There is already a field that has the name you typed.

Type a new field name, up to 15 characters long.


Field name not valid

You have entered an incorrect field name.

Check to make sure that the fields you have specified exist in the database, and that you have typed all field names correctly.


Field name too long

A field name cannot be longer than 15 characters.

Type a field name that is 15 characters or less.


Field names too long

The total number of characters in all field name placeholders in a Word Processor document cannot exceed 1,920.

Shorten the field names or reduce the number of field name placeholders.


Field not found in database: continue anyway?

One of the field names specified for merging into a Word Processor document could not be found in the Database.

To ignore the unrecognized field name and continue merging information, click OK.

--Or--

To cancel printing the document, click Cancel.

More information

Form letters and mailing labels


Field width not valid (0..79)

A database field width must be between 0 (zero) and 79.

Type a field width between 0 and 79.


Fields too wide for page and may not print

One or more of the fields in your database are wider or longer than a single page.  These fields may not print properly.

Resize the fields that are too wide or too long before printing.

For information on changing a field's width or height in form view, see Changing a Form.  For information on changing a field's height in list view, see Changing a List.

More information

Changing a form

Changing a list


Dictionary file missing or not valid (filename)

The Dictionary file has been damaged or is not located on the disk you inserted.

--Or--

The Help file has been damaged or is not located on the disk you inserted.

--Or--

The Thesaurus file has been damaged or is not located on the disk you inserted.

  You can reinstall Works' Dictionary or Thesaurus files by running the Setup program from your Works CD to reinstall Works.

Works' Help files are on your Works CD.  Make sure your CD-ROM drive is connected to your computer, and the Works CD is in the drive.


File must be Text format

The command you chose requires a document that has been saved in text (ASCII) format, but the document is in Works format.

Save the document as a text file, then choose the command again.

For information on saving a spreadsheet, database, or Word Processor document as a text file, see the appropriate topic listed below.

More information

Saving a spreadsheet for another application

Saving a database for another application

Saving a document for another application (Word Processor)


File with same name already open

You tried to open a Works document from another directory, but that document has the same name as a document that is already open.

If you want to have both documents open at the same time, you must rename one of them.  You can:

Choose Save As from the File menu, type a new name for the open document, close the renamed document, and then open both documents.

--Or--

Open the other document, save it under a new name, close it, and then open both documents.

More information

Naming and saving a document


Filename not valid

Filenames can be up to eight characters long, and can contain any characters except for spaces and those shown below, which have a special meaning for MS-DOS.

A filename cannot have the same name as an MS-DOS device (CON, AUX, PRN, COM1, LPT1).

Type a new filename.


Filename same as directory name

There is an existing directory that has the name you typed.  You cannot open a directory as a document or save a document with the same name as a directory.

Type a different filename.


Font size must be between 4 and 127

The number you entered is not a valid font size.

Choose from the available sizes in the Font box, or type a number between 4 and 127.

Note:  The fonts and sizes displayed in the list depend on the printer you are using.  See your printer documentation for a list of the fonts available with your printer.


Font size not valid

The number you entered is not a valid font size.

Choose from the available sizes in the Font box, or type a number between 4 and 127.

Note:  The fonts and sizes displayed in the list depend on the printer you are using.  See your printer documentation for a list of the fonts available with your printer.


Footer too tall: increase footer margin settings.  Continue?

Works calculates that your footer will not fit into the space you've allocated for it.  The document may not print correctly.

To continue previewing or printing your document, choose Yes.

--Or--

To cancel printing, choose No.

You can then choose Page Setup & Margins from the File menu to change the footer margin settings.

More information

Adjusting header and footer margins


Footnote mark not allowed here

You tried to enter a footnote mark into the footnote window or into the header or footer paragraphs.

Enter the footnote mark into the main body of the document.

More information

Creating footnotes


Footnote mark not valid

You typed a footnote mark of more than 10 characters, or you tried to close the Footnote dialog box without typing a character mark.

Type a character mark of less than 10 characters.

More information

Creating footnotes


Form too wide: print anyway?

Your database form is wider than the print area specified in the Page Setup & Margins command on the File menu.

To continue printing, choose OK.

--Or--

To cancel printing, choose Cancel.

Try changing the measurements for the left and right margins or selecting a smaller font before you choose Print again.

More information

Adjusting page margins

Changing the font and size


Format not available on Clipboard

You chose Paste Special and chose an unavailable format to paste the Clipboard contents into your document.

Repeat the command, choosing a different data format.


Formula ignored: not valid

The spreadsheet contains a formula that is either too long or too complex.

Works will open the spreadsheet but ignore the formula.


Formula too long or complex

A formula had too many functions nested within it, had too many references to other cells, or was too long.

Decrease the size or complexity of the formula.


Function not valid

The function you typed in the spreadsheet is not a valid Works function.

Correct the function, and then try again.

For a list of spreadsheet functions, see the Function Reference.

More information

Function reference


Hard disk full: no space for Works scratch file

As you work, Works creates and uses a temporary scratch file.  At present, there is no room on your hard disk for this file.

To continue running Works, you should free space on your hard disk by deleting files.

If you wish to save your open documents, you must save them to another drive, as your hard disk is full.


Header and footer too tall: reduce header margin and increase footer margin settings.  Continue?

You tried to print or preview a document.  Works calculated that your header and footer will not fit into the space you've allocated for them.

Choose Yes to print or preview your document, although it may print incorrectly.  Choose No to cancel printing and change the margin settings in File Page Setup & Margins.


Header too tall: reduce header margin or increase top margin settings.  Continue?

You tried to print or preview a document.  Works calculated that your header will overlap the top of your document.

Choose Yes to print or preview your document, although it may print incorrectly.  Choose No to cancel printing  then change the margin settings in File Page Setup & Margins.


Help not available

You chose Help while an error message was on the screen.

Choose the OK button to remove the message.


Highlight rows to be sorted

You chose the Sort Rows command in the Spreadsheet, but you had no rows highlighted.

Select the rows you want to sort.


Insert the Works for Windows disk into a CD drive

Works is trying to locate files located on the Works for Windows CD.

Place the disk into a CD drive and choose the OK button.


Invalid printer, driver file, or output port

Works could not print your document or your printer could not print graphics in your document.

Check your Windows and printer documentation for information on choosing the correct driver file and port for your printer, and information on attaching your printer to your computer.


Label frequency not valid (1..15)

You specified an x-axis label frequency that is less than 1 or greater than 15.

Change the label frequency to a valid number.


Label off page: change horizontal spacing

You have incorrectly designated horizontal spacing for your labels.

Check the measurement of your page and the spacing of your labels.  Make sure that the page size is entered in both the File Page Setup and Margins and File Printer Setup dialog boxes.  Make sure that you have entered the correct measurements in the File Print Labels dialog box.


Label off page: change vertical spacing

You have incorrectly designated vertical spacing for your labels.

Check the measurement of your page and the spacing of your labels.  Make sure that the page size is entered in both the File Page Setup and Margins and File Printer Setup dialog boxes.  Make sure that you have entered the correct measurements in the File Print Labels dialog box.


Label wider than margins

You chose the Print Labels command from the File menu, but the labels won't fit on the page.

Change the left and right margin measurements or the horizontal label spacing, and then choose Print Labels again.


Lift handset and choose OK to talk

You dialed a phone number using the Dial This Number command.  Works has finished dialing.

Pick up the receiver and choose the OK button to use the phone.


Make selection first

You chose the Cut or Copy command before you made a selection.

Choose text or data.


Margins too big

You have set left, right, top, or bottom margins that, when added together, exceed the width or height of the page you have specified.

Choose the Page Setup & Margins command on the File menu and change the left and right or top and bottom margin measurements so they are less than the width or height of the page, or change the page width or height so it is more than the combined left and right or top and bottom margin measurements.

More information

Changing the page layout (Word Processor)

Changing the page layout (Spreadsheet)

Changing the page layout(Charting)

Changing the page layout (Database)

Changing the page layout (Reporting)


 Margins too small for printer

Your printer could not accept the left, right, top, or bottom margin measurement you specified.

Choose Page Setup and Margins from the File menu, and correct the margin measurements, if necessary.  See your printer manual for more information on margins.

More information

Changing the page layout (Word Processor)

Changing the page layout (Spreadsheet)

Changing the page layout(Charting)

Changing the page layout (Database)

Changing the page layout (Reporting)


Minimum, maximum, or interval not valid

You typed an incorrect unit for minimum, maximum, or interval in the Horizontal Axis or Vertical Axis dialog box.

Make sure that maximum is greater than minimum and that interval is greater than 0 (zero).

More information

Changing scales


Missing operand

You typed a formula or function that is missing an operand.

Make sure that you typed the complete formula or function, that there are no extra spaces in the formula, that you have included all the operators (+,-,*,/) and so on.

More information

Formulas (Database)

Formulas (Spreadsheet)

Functions (Database)

Functions (Spreadsheet)


Missing parenthesis

The formula or function requires parentheses, but one or more parentheses is missing.

Click where you want to insert the parentheses, then type the parentheses.

More information

Formulas (Database)

Formulas (Spreadsheet)

Functions (Database)

Functions (Spreadsheet)


MSWORKS.INI file not valid

Your MSWORKS.INI file, which contains a list of WorksWizards, installed converters, workspace settings, and other preferences, is corrupted.

1	Delete your MSWORKS.INI file (located in your Windows directory).

2	To create a new MSWORKS.INI file, run theSetup program from your Works CD to reinstall Works.

When you select your preferences, they will be stored in the new MSWORKS.INI file.


Enter a name

You were naming a chart or report and pressed the Rename button without entering a name.

Type a name up to 15 characters long, then click Rename.

More information

Naming and saving charts

Naming a report


Name does not exist

You typed a bookmark or range name that does not exist.

If you typed a bookmark name, type another name in the Name box or choose the name you want from the list.

If you typed a range reference, type another reference ( for example A3:B4) or choose a reference name from the list.

More information

Creating bookmarks

Naming a cell or range


Name not valid

You typed a number for a bookmark name.

Because Go To on the Select menu recognizes page numbers, as well as bookmark names, bookmark names cannot be numbers.

However, you can type a combination of numbers and text as a bookmark name as long as you do not exceed 15 characters.

More information

Creating bookmarks


Network error: file is read-only

You chose the Save command when running Works from a network, and there is an error on the network.

Notify your network administrator.


No database open or selected

You tried to print form letters or mailing labels but you didn't open or select the database whose information you want to include in the the form letters or mailing labels.

Open the database, then in your Word Processor form letter or label document, select the database in the Print Form Letters or Print Labels dialog box.

More information

Printing form letters

Printing mailing labels


No default printer selected in Control Panel

While attempting to print, Works could not find a printer selected in the Windows Control Panel.

For more information see, Choosing a Printer.

More information

Choosing a printer


No fields in this document

Before you can print form letters or mailing labels, you have to insert database field names into a Word Processor document.  The field names serve as placeholders that tell Works which information you want to include in your form letters or mailing labels.  To insert a database field name:

1	Open the database whose information you want to include in your form letters or mailing labels.

2	To bring your Word Processor document to the front again, click it or choose its name from the Window menu.

3	From the Insert menu, choose Database Field.

4	Under Databases, click the database you want.

5	Under Fields, click the field name you want to insert.

6	Click OK.

More information

Creating a document for form letters and mailing labels


No match found

You chose the Find command in Database or Spreadsheet, and Works found no match for the text you typed.

If you expected to find a match, check the spelling of the text.

--Or--

No records in the Database matched the query formula you specified.

If you expected matching records, choose Query from the View menu, and check the query formula for accuracy.

--Or--

You chose the Find command in the Word Processor, but the search text wasn't found.

If you expected Works to find the search text, check the spelling of the text, and then try again.


No more occurrences

Works has found all the instances of text you wanted to replace.

To close the message, click OK.

More information

Finding and replacing text (Word Processor)

Finding entries (Spreadsheet)

Finding records (Database)


No more than 128 fields allowed

You tried to insert more than 128 database field names into a Word Processor document.  You can either:

Reduce the number of database fields.

--Or--

If you need more than 128 database fields, create a second Word Processor document.

More information

Creating a document for form letters and mailing labels


No more than 256 fields allowed

You tried to add too many fields to a database.

You can only create up to 256 fields per database.

More information

Creating a database in form view


No more than 32 characters in selection

You chose the Thesaurus command, but the text you highlighted contained more than 32 characters.

Highlight less than 32 characters.

More information

Finding synonyms


No more than four labels across

You chose the Print Labels command and tried to specify more than four labels across the page.

In the Number Of Labels Across Page box, type a number no larger than 4.

More information

Printing mailing labels


No more than eight charts allowed in each Spreadsheet file

You tried to create more than eight charts.

Each spreadsheet can have up to eight charts.  If you want to create more charts, either delete a chart or modify an existing chart.

More information

Creating and deleting a chart


No more than eight reports allowed in each Database file

You attempted to define more than eight reports.

Each database can have up to eight reports.  If you want to define more reports, either delete a report or modify an existing report.

More information

Deleting a report


No records in database

You tried to print form letters or mailing labels, but the open database contains no records.

In the Print Form Letters or Print Mailing Labels dialog box, verify that you selected the correct database.

--Or--

If you have selected the correct database, but have not entered any information, see Creating a Database in Form View.

More information

Creating a database in form view


No space for new document: Server active

You tried to create a new document but all of the available space for documents is occupied.  A Works spreadsheet, functioning as a server, is currently communicating with clients and occupying a space.

You can free space for a new document by closing a currently open document.

More information

Closing a document


No synonyms found

You chose the Thesaurus command, but Works couldn't find any synonyms for the highlighted word.

Either the highlighted word is spelled incorrectly or there are no synonyms in the online Thesaurus.

More information

Finding synonyms


Not enough memory to carry out this command

Works does not have enough memory to carry out this command.

To free up memory, save your work, close any unnecessary open documents, and close any other applications you are running.


Not enough memory to convert document

Works does not have enough memory to convert this document.

To free up memory, save your work, close any unnecessary open documents, and close any other applications you are running.


Not enough memory to run tutorial

Works does not have enough memory run the tutorial.

To free up memory, save your work, close any unnecessary open documents, and close any other applications you are running.


Not enough memory to start Help

Works did not have enough memory to start Help.

To free up memory, save your work, close any unnecessary open documents, and close any other applications you are running.


Not enough memory to undo

Works does not have enough memory to undo the last action.

You can close the document without saving.  This will undo the most recent command, but you will also lose any changes you've made to the document since the last time you saved it.

To free up memory, save your work, close any unnecessary open documents, and close any other applications you are running.


Number not valid

The number you typed is not valid or the syntax is incorrect.

Works will highlight the problem area after you choose the OK button.  Type the number again.


Number of decimals not valid (0..7)

The number of decimals you specified is less than 0 (zero) or greater than 7.

Type the number of decimal places you want (0-7).


Number of digits not valid (1..8)

The number of digits you specified is less than 1 or greater than 8.

Type the number of digits you want Works to display (1-8).


Number of occurrences replaced:

You chose the Replace All option for the Replace command to replace text in your document.  Works has counted the number of times it replaced text.

Click OK to close the message.


Number of words counted in document:

Works has counted the number of words in your Word Processor document.

Click OK to close the message.

More information

Counting the words in a document


Number of words counted in selection:

Works has counted the number of words in the area you highlighted.

Click OK to close the message.

More information

Counting the words in a document


Object already open

You highlighted an object for editing, but that object is already open in its source application and available for editing.

Switch to the source application to edit the object.

More information

Editing linked spreadsheet information


Object won't fit between margins

You've selected a scale for an object that will not allow it to fit on the page with its current margin settings.

Choose the Picture command from the Format menu, and type a new scale for the object.

--Or--

Change the margins.

More information

Changing a drawing

Changing margins


Objects too wide for margins: may not print

You have created objects which are too large for the current page margins and may not print correctly.

You may change the size of the page margins by using the Page Setup & Margins command on the File menu, or decrease the size of the objects with the Picture command on the Format menu.

More information

Changing a drawing

Changing margins


OK to delete data in this field?

You tried to delete a field in Database form view, or you tried to rename the field and did not type the colon.  Works displays this message even when you have no data in the field.

To delete the field name and any field contents, click OK.

--Or--

To cancel the command, click Cancel.

More information

Changing a form


OK to delete empty objects and close open servers?

You tried to save a document that contains objects with no data.  Works cannot save empty objects, and must delete them before saving the document.

To delete the empty objects and close open servers related to them, click OK.

--Or--

To cancel the save operation, click Cancel.


OK to save without formatting?

You chose the Save As command, and then chose Text or Text (DOS) file format.

To save the text file without formatting information (bold, italic, underline, and so on), click OK.

Note:  Always give a text file a different name from the original filename.

More information

Copying and saving for other applications


Only AVG, COUNT, MAX, MIN, STD, SUM, and VAR allowed in report

You tried to use a function in a report that is not valid.

Only the seven functions listed in the Insert Field Summary dialog box can be used in a report definition.  Choose one of these functions.

More information

Statistical functions


Operation canceled

You pressed the ESC key during an operation.

The operation was canceled by Works.  If you pressed ESC by accident, try the operation again.


Operator missing or not valid

You typed a function that has a missing operator or is syntactically incorrect.

Correct the syntax, and then try again.  For information on function syntax, see Function Reference.

More information

Function reference (Database)

Function reference (Spreadsheet)


Out of memory

Works ran out of memory.

Save or close some documents.  If you received this message while trying to run a server document's application, the application may not be properly installed.  Try reinstalling the application.


Out of memory or disk is full

You tried to print a document and there is not enough room to store the document in Print Manager, or your computer does not have enough memory to create a temporary printing file.

You can delete unnecessary documents to make room on the disk.

--Or--

Immediately save all open documents, and then continue working.

--Or-

Save or close some documents or applications.


Out of memory or invalid output port

Works could not print your document.

You may be able to get more memory by closing other applications under Windows and working with fewer documents in Works.  Check your Windows and printer documentation for information on choosing the correct port for your printer, and information on attaching your printer to your computer.


Out of memory or invalid printer, driver file, or output port

Works could not print your document.

You may be able to get more memory by closing other applications under Windows and working with fewer documents in Works.  Check your Windows and printer documentation for information on choosing the correct driver file and port for your printer, and information on attaching your printer to your computer.


Page number not valid

The page number you typed in the Go To dialog box is not valid.

Type another page number.


Page range not valid

The page number range you typed in the Print dialog box is not valid.

Type a valid page range.


Page size too small

You entered a page height and width in the Page Setup & Margins dialog box that is below Works limit of 1 inch by 1 inch.

Enter larger numbers for page height and width.


Pagination not yet finished

You chose the Go To command, but Works had not finished paginating the document.

Choose the OK button, wait a few seconds to allow Works to finish pagination, and then try again.

Very long documents may require 10 to 20 seconds to automatically paginate after you choose a command that causes repagination.


Phone number too long

The phone number you entered is more than 38 characters.

Type a shorter phone number, and then try again.  You can omit parentheses and dashes to make a phone number shorter.

More information

Modem settings and dialing a phone number


Port already in use

You tried to choose Dial This Number while the modem was being used by another program.

Change the modem port in the Works Settings dialog box.

More information

Modem settings and dialing a phone number


Port already in use: (COMx)

You tried to choose Dial This Number while you had a communications document open and connected.

Change the modem port in the Works Settings dialog box.

More information

Modem settings and dialing a phone number


Preview fonts not found: may affect preview appearance

You chose Print Preview, but Works could not find the fonts it uses for previewing documents.

You can reinstall the fonts by running the Setup program from your Works CD to reinstall Works.


Error while printing

A printer error occurred or the printer settings in the Printer Setup dialog box are incorrect.

Works tries to determine the source of the error.  If it does, it will include the source in the message box, such as Port not valid.  Correct the error, and then try again.


Printer driver file not found or not valid

While attempting to print, Works could not find a valid printer driver file.

Check your Windows and printer documentation for information on choosing the correct printer driver file for your printer.


Printer is not connected to a valid port

While attempting to print, Works could not find a printer attached to a valid port.

Check your Windows and printer documentation for information on choosing the correct port for your printer and then attaching your printer to your computer.


Record does not exist

In the Database, you entered a record number in the Go To dialog box that is too large or contains no information.

Type a record number between 1 and 32,000.


Reference not valid

You typed characters that are not valid as a:

 Column reference in the Select Sort Rows dialog box.

 Cell reference in the Edit Series dialog box.

 Cell reference in the Edit Data Labels dialog box.

Type a valid reference.


Reference not valid or wrong operand type

Works does not recognize the formula you entered.

After you choose OK, correct the formula.  Make sure all cell, range references, or field names are typed correctly and that you entered the entire formula.

More information

Formulas (Database)

Formulas (Spreadsheet)

Functions (Database)

Functions (Spreadsheet)


Reference outside spreadsheet

You opened a spreadsheet created with another spreadsheet program that is larger than 256 columns or 16,384 rows.  Works is telling you that a cell reference is outside the Works Spreadsheet area.

Check your column and row references.  You may need to change the references in some cells in order to use this spreadsheet.


Reference outside spreadsheet: continue to display errors?

You tried to open a spreadsheet that refers to a cell (or cells) beyond the maximum Works Spreadsheet area.

You probably created the spreadsheet with another spreadsheet program.  If possible, return to the original spreadsheet program and reduce the size of the spreadsheet.  Only very large spreadsheets cannot be opened in Works.  Choose Yes to see each cell reference Works cannot read.  Choose No to see only the total number of errors detected.


Replace existing bookmark?

You changed a bookmark or range name or added a new one where one already existed.

To replace the old bookmark or range name with the new one, click OK.

More information

Creating bookmarks


Replace existing file?

There is already a document that has the name you typed.

To replace the existing document, click OK.

--Or--

To save the document under a different name, click Cancel and type a different file name.


Replace this occurrence?

You used the Replace command to replace text in your document.  Works has found an instance of the text you specified and is asking you if you wish to replace it.

To replace the text and continue looking for the next instance, click Yes.

--Or--

To leave this instance as is, and continue looking for the next one, click No.

--Or--

To cancel the replacement process, click Cancel.


Retain Clipboard contents?

You tried to close a document while the Clipboard contained a copy from the document.

To save the contents of the Clipboard so you can paste the information in another document, click Yes.

--Or--

To delete the contents of the Clipboard, click No.


Save all Word Processor documents, clear Clipboard, and check spelling again

You chose the Check Spelling command after copying from your PERSONAL.DIC file into another Word Processor document.

Save all your Word Processor documents, and then choose Check Spelling again.


Save changes to (filename)

You chose the Exit or Close command before you saved changes to an open document.

To saves changes made to the open document, click OK.

--Or--

To loose your changes, click No

--Or--

To cancel the Exit command, click Cancel..


Number must be between 1 and 2000

You have specified a width or height scale for an object that does not fall in the range of 1-2000.

Enter a number between 1 and 2000 into the Width and Height boxes of the Picture dialog box.


Select a word

You chose the Thesaurus command, but did not highlight a word to be checked.

Highlight the word you want to find a synonym for.

More information

Finding synonyms


Selection contains improper characters

You chose the Thesaurus command, but the text you highlighted contains characters Works doesn't recognize.

Highlight another word.

More information

Finding synonyms


Series not selected

To create a chart, you must first highlight the information you want to base the chart on.

Highlight the range of cells in your spreadsheet that you want to create a chart from, and then choose Create New Chart from the Charts menu.

More information

Creating a new chart


Series not specified

You tried to print, preview, or view a chart in which no series had been assigned.

Choose or assign the necessary series.


Source document's application not available: Try reinstalling

You tried to open an object that was created with an application that has been moved or deleted, or is not properly installed.

Run the application's setup or installation program to reinstall it on your computer.  The program should be located on the application's original floppy disks.

Note:  When you install an application that can link or embed information, Works records the application's location.  If you later move that application, Works will not be able to find it unless you reinstall it in its new location.

More information

Linking information

Adding linked spreadsheet information

Embedding information


Spelling check finished

Works has completed checking the spelling of your Word Processor document.

Click OK to close the dialog box.


Spreadsheet loading error

You tried to load a file into a Works spreadsheet, but some information may not have been loaded.

Check your file for possible missing information.  You may want to try saving the original file in a different file format and open the file in Works again.


Linked information not found, or spreadsheet not open

You are trying to edit linked information, and the source document that the information linked to has been moved or renamed.

--Or--

You tried to print a Word Processor document containing a chart placeholder, and the spreadsheet that contains that chart was not open.

If you have moved or renamed a source document that information is linked to, you must change the link.  See Linking Information.

To continue printing without the chart, choose the OK button.
--or--
To print the chart, choose the Cancel button to stop the print job.  Open the spreadsheet containing the chart, switch back to the Word Processor document, and then try again to print the document.

More information

Linking information


Starting value must be number or date

The entry you typed as a starting value is not a date or number (for example you may have entered a formula or text).

Type a date or number as the starting value, highlight the starting value and the area you want to fill into, then choose Fill Series from the Edit menu again.


Template name same as directory name

You tried to save a template document using the name of an existing directory.

Since templates must have unique filenames in order for Works to use them, you must rename any directories that have the names TEMPLATE.PS, TEMPLATE.KS, or TEMPLATE.DB.


The selection contains open objects.  You must first close the open object windows.

You tried to close a document or replace a selection containing an object that has not been updated in your document.

If available, choose Yes to update the object.  Choose No to close the document without updating it.

--Or--

If you tried to paste over a selection containing an open object, return to the source document's application and close the application, and then return to your document and try again to paste over the selection.


To install Spell files, run Setup

Works cannot find the files it needs to check the spelling.

The spelling and dictionary files may have been moved, damaged, or deleted from your computer.  To reinstall these files, run the Setup program from your Works CD to reinstall Works.


Too many columns

You tried to insert a column into a spreadsheet or a field into a database that caused the total number of columns or fields to exceed 256.

Reduce the size of your spreadsheet or database, or split the spreadsheet or database into two smaller documents.


Too many files open

You can only have eight documents open at a time.

To close a document, click the document then choose the Close command from the File meu.  You can then choose the Open Existing File command again.


Too many formats

A line contained too many format changes for Works to process.

Reduce the number of formats.

--Or--

You tried to apply too many character styles or paragraph formats to a Word Processor document.

Decrease the number of styles or formats in the document.


Too many rows or records

You tried to open a text file as a database or spreadsheet, but Works found too many records.

Open the text file as a Word Processor document, split it into smaller documents, and then open each document as a database or spreadsheet.

--Or--

You tried to insert a row into a spreadsheet that caused the total number of rows to exceed 16,384, or you tried to insert a record into a database that caused the total number of records to exceed 32,000.

Reduce the size of your spreadsheet or database, or split the document into two smaller documents.


Unit not valid

You tried to use an incorrect unit of measurement, such as feet or millimeters.

Type a valid unit of measurement. For example, type cm for centimeters, pi for picas, or pt for points.

More information

Changing the unit of measure


Update links when opening document?

You opened a document that contains links to other documents.

To update your document immediately upon opening, click Yes.

--Or--

 If you don't wish to update your document, or you'd rather update it later, click No.


Warning! Personal dictionary is not in Text format

Your personal dictionary file is in the wrong format.

Your personal dictionary file must be a text (ANSI) file.  Open the personal dictionary file as a Word Processor document, and then choose Save As, and choose the Text option.  Choose the OK button to finish saving the document.


Warning! Disk full: saved document lost.  Save to another disk

You tried to save a spreadsheet or database document, but the disk you are saving to is full.  The copy of the spreadsheet or database that you had on your disk has been lost.

Save your file to another disk.  If you do not save your file, it will be lost.


Warning! File may be damaged <filename>

Works noticed that the file may be corrupted when it loaded the file.

You may want to try loading the file again.  If it is readable in Works, save it to ensure that a legible copy of your data will be created.


Width and height must be numbers (0-325)

You have specified a width and height for a database field that does not fall in the range of 0-325.

Enter a number between 0 and 325 into the width and height boxes of the Field Size dialog box.


Window too small

The window is too small to show footnotes.

Make the window larger.


Wrong number of arguments

You typed a function that contains the wrong number of arguments.

Choose the OK button to return to the Spreadsheet or Database.  The problem area in the function is highlighted.

For information on function syntax and arguments, see Function Reference.

More information

Function reference (Database)

Function reference (Spreadsheet)


The report definition has been created! To see what the report will look like when you print, select Print Preview

You have just finished creating a report and are now in report definition view.

To see how your report will look when printed, choose Print Preview.  You may alter your report's definition in report definition view.

More information

Previewing


Some field text was truncated

Text in a field was longer than the field width.  This is truncated in DBase.


You have not saved some documents in your workspace.  Press OK to Save Workspace excluding unsaved document.

You have some documents open that have not been saved yet, so Works cannot include them as part of the workspace.

To save workspace information for all but the unsaved documents, click OK.

--Or--

If you want to save the documents as part of the workspace, click Cancel, save your unsaved documents, then choose File Save Workspace again.


Clipboard

A temporary storage area for cut or copied information.  You can paste the contents of the Clipboard into another part of your database, another Works document, or another Windows application.


To choose from a list

If you can't see all of the items, click the up or down arrow or drag the scroll box.

To choose the item and complete the command, double-click the item.


Record

All the information about one person, product, event, and so on.

For example, in an address list a record would include all the information about one person, such as their last name, first name, street, city, state, and Zip Code.


To open and select a database

1	In the dialog box, click Cancel to close the dialog box.

2	From the File menu, choose Open Existing File.

3	Under File Name, double-click the name of the database you want to open.

Works opens the database.

4	To bring your Word Processor document to the front again, click it or choose its name from the Window menu.

5	From the File menu, choose Print Form Letter or Print Labels.

The name of the database you opened should now be listed under Databases.

6	Under Databases, click the name of the database, then click PRINT.


Insertion point

The blinking vertical bar that marks your place in the document.  When you type, text is entered at the insertion point.


File format

The way an application stores the information in a document.  A document's file format determines which applications can open the document.

Works can save and open documents in a variety of file formats, including dBase, Lotus 1-2-3, WordPerfect, text, and RTF.


Embed

When you embed information in a Word Processor document, you can start the application you used to create the information from within the document.

For example, to change an embedded picture, you just double-click it.  This starts the application you used to create the picture, and you can make any changes you want.  When you quit the application, the picture in your document is updated automatically.


Non-printing region

Most printers cannot print all the way to the edge of the page.  The area around the edge of the page where a printer cannot print is called the non-printing region.  It's size varies from printer to printer.


To run the Setup program

1	Switch to Windows.

2	In the Program Manager window, choose Main from the Window menu.

3	Double-click the File Manger icon.

4	Click the letter of your CD drive.

Works lists the directories on your Works CD.

5	Double-click the directory icon at the top of the directory list.

6	Double-click SETUP.EXE.

This starts the Setup program that installs Works on your computer.


To choose a different directory or drive

To choose a different directory, click the Drive icon then double-click the directory or subdirectory you want.

To choose a different drive, click the down arrow to see the list of drives then click the drive you want.

For example, to save a file on a floppy disk, choose drive a:.


To highlight a cell or range of cells

Click the cell you want to highlight.

To highlight a range, move the pointer ( [image]) to the upper-left cell in the range; then hold down the mouse button and drag until you highlight the entries you want.


Format

Refers to the appearance of text.  Formats include font, style (bold, italic, underline), paragraph indents and alignment, and borders.

In the Database and Spreadsheet, format also refers to the alignment of entries and the way dates, times, and numbers are displayed.


Link

A connection between information in two different applications or Works tools.  When information from one application or tool is copied and linked to another, changes to the original information are automatically made to the copy.

For example, if you link entries in a Works spreadsheet to a Works Word Processor document, any changes you make to the entries in the spreadsheet are automatically updated in the Word Processor document.


Source document

The document that linked or embedded information in your Word Processor document comes from.


Object

Any piece of linked or embedded information in a Word Processor document, such as a chart, a range of spreadsheet entries, a picture, or a drawing.


Cell or range reference

The location of a cell or range designated by column and row labels.  For example, the cell reference of the active cell below is C2.


Source application

The application you used to create linked or embedded information.


Range reference

The location of a range designated by column and row labels.  For example, the range reference of the highlighted range below is B2:C4.


Absolute Value

The nonnegative number equal in numerical value to a given real number.

For example, the absolute value of -16 is 16.


ABS function

Use

Gives the absolute value of a specified number.

Syntax

ABS(x)

Arguments

X is the number whose absolute value you want to find.

Examples

The formula =ABS(-2) gives a result of 2.

The formula =ABS(2) gives a result of 2.


ACOS function

Use

Gives the arccosine of a number.  The arccosine of a number is the angle whose cosine is that number.

ACOS gives the size of the angle in radians.  The angle will range from 0 radians (0 degrees) through pi radians (180 degrees).

Syntax

ACOS(x)

Arguments

X is the cosine of the angle you want to find.  X must be a number between -1 and 1.

Examples

The formula =ACOS(-0.5) gives a result of 2.094 radians (2 1/3 radians).

Note:  If you want to convert the result from radians to degrees, multiply by 180\PI( ).

For example, =ACOS(-0.5)*180/PI( ) gives a result of 120 degrees.

Related function

PI( )


ASIN function

Use

Gives the arcsine of a number.  The arcsine of a number is the angle whose sine is that number.

ASIN gives the size of the angle in  radians.  The angle will range from -1/2 radians (-90 degrees) through 1/2 radians (90 degrees).

Syntax

ASIN(x)

Arguments

X is the sine of the angle you want to find.  X must be a number between -1 and 1.

Examples

The formula =ASIN(-0.5) gives a result of -0.524 radians (-1/6 radians).

Note:  If you want to convert the result from radians to degrees, multiply by 180/PI( ).

For example, =ASIN(-0.5)*180/PI( ) gives a result of -30 degrees.

Related function

PI( )


ATAN function

Use

Gives the arctangent of a number.  The arctangent of a number is the angle whose tangent is that number.

ATAN gives the size of the angle in radians.  The angle will range from -pi/2 radians (-90 degrees) through pi/2 radians (90 degrees).

Syntax

ATAN(x)

Arguments

X is the tangent of the angle you want to find.

Examples

The formula =ATAN(1) gives a result of 0.785 radians (1/4 radians).

Note:  If you want to convert the result from radians to degrees, multiply by 180/PI( ).

For example, =ATAN(1)*180/PI( ) gives a result of -45 degrees.

Related function

PI( )


ATAN2 function

Use

Gives the arctangent of an angle defined by x- and y-coordinates.  The arctangent is the angle from the x-axis to a line that contains the origin (0,0) and the point described by the coordinates.

ATAN2 gives the size of the angle in radians.  The angle will range from -pi radians (180 degrees) to, but not including, pi radians (180 degrees).

Syntax

ATAN2(x-coordinate,y-coordinate)

Arguments

X-coordinate is the x-coordinate of the point defining the angle whose arctangent you want to find.

Y-coordinate is the y-coordinate of the point defining the angle whose arctangent you want to find.

If the  x-coord.is: positive negative  negative  positive	and the  y-coord. is: positive  positive  negative  negative	ATAN2 gives angle between: 0 and 1/2 1/2 and 1 1 and -1/2 1/2 and 0
If both the x-coordinate and y-coordinate equal 0, ATAN2 gives the error value ERR.

Examples

The formula =ATAN2(1,1) gives a result of 0.785 radians (1/4 radians).

The formula =ATAN2(-1,-1) gives a result of -2.356 radians (-3 1/4 radians).

A positive result represents a counterclockwise angle from the x-axs; a negative result represents a clockwise angle.

Note:  If you want to convert the result from radians to degrees, multiply by 180/PI().

For example, =ATAN2(-1,-1)*180/PI( ) gives a result of -135 degrees.

Related function

PI( )


AVG function

Use

In a database, AVG gives the average of values in speciifed fields for the current record.  In a report, use AVG to compute the average of values in one field.

Syntax

AVG(field name0,field name1,...)

Arguments

The arguments (field name0,field name1,...) may be numbers or field names.  Blank entries are ignored. Text is given the value 0 (zero).

Examples

In the above example, the formula

=AVG('1st','2nd','3rd','4th',Final)

equals 85 in record 1 and 68 in record 2.

The formula=AVG('1st','2nd',
'3rd','4th',Final,Hmwk) equals 88 in record 1 and 73.33 in record 2.


CHOOSE function

Use

Uses a value you specify to select from a list of other values.  For example, if the value you specify is 0, CHOOSE selects option0; if the value is 1, CHOOSE selects option1, and so on.  If the Choice is less than 0 (zero) or greater than the number of options in the list, CHOOSE gives the error value ERR.

Syntax

CHOOSE(choice,option0,option1,...)

Arguments

Choice is the value that determines which option is selected.  Choice may be a number or field name.

Option0 is the first option, option1 is the second, and so on.  Options may be numbers or field names.

Note:  The value of choice must be greater than or equal to 0 and less than the number of options in the list; otherwise, CHOOSE gives the error value ERR.

Example

If a field named Choice contains the number 2, then the formula =CHOOSE(Choice,10,20,30) gives a value of 20.


COS function

Use

Gives the cosine of a specified angle.

Syntax

COS(x)

Arguments

X is an angle measured in radians.

Examples

The formula =COS(1.047) gives a result of 0.5.

Note:  If the angle whose cosine you want to find is in degrees, you can multiply it by PI()\180 to find the number of radians.

For example, if the angle is 60 degrees, =COS(60*PI()/180) equals 0.5 (cosine of 60 degrees).

Related function

PI( )


COUNT function

Use

In a database, COUNT gives the number of non-blank entries in specified fields for the current record.  In a report, use COUNT to compute the number of non-blank entries in one field.

COUNT adds 1 for every cell that contains a number, formula, text, ERR, or N/A.

Syntax

COUNT(field name0,field name1,...)

Arguments

The arguments (field name0, field name1,...) may be numbers or field names.  Blank entries are ignored, and text is given the value 0 (zero).

Examples

In the example above, the formula

=COUNT('1st','2nd','3rd','4th',Final)

equals 4 in record 1.

The formula

=COUNT('1st','2nd','3rd','4th',Final)

equals 5 in record 2.


CTERM function

Use

Gives the number of compounding periods needed for an investment, earning a fixed rate per compounding period, to grow from its present value to a future value.

Syntax

CTERM(rate,future value,present value)

Arguments

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Future value is the value you want your investment to grow to.

Present value is the value of your investment now.

Examples

You put $1,000 into a savings account with a yearly interest rate of 8 3/4%.  Interest is compounded monthly.  How long does it take to double your investment?

Enter the formula =CTERM(8.75%/12,2000,1000)
This gives a result of 95.41 months (about eight years).

Suppose Amount is a field in your database containing the amounts of your investments, and Rate is a field containing the yearly interest rates for each investment.  Interest for all investments is compouned monthly.  How long does it take to double each investment?

Enter the formula

=CTERM(Rate/12,Amount*2,Amount).


DATE function

Use

Gives a date number for the specified year, month, and day.  The date number is an integer ranging from 1 through 65534, representing the dates from January 1, 1900 through June 3, 2079 (Works' range of dates).

Syntax

DATE(year,month,day)

Arguments

Year must be a number ranging from 0 (1900) to 179 (2079).

Month is a number between 1 and 12.

Day is a number between 1 and 31.

Note:  If the specified year, month, and day do not make up a valid date within Works' range of dates, DATE gives the error value ERR.

Examples

If field named Qtr contains the number of the current quarter (1, 2, 3, or 4) of 1992, then:

=DATE(92,Qtr*3+1,1) equals the date number of the first day of the next quarter.

=DATE(92,Qtr*3+1,1)-
DATE(92,Qtr*3-2,1) equals the number of days in this quarter.

If the value in Qtr is 2, then the formula =MONTH(DATE(92,Qtr*3+1,1)) equals 7 (first month of the third quarter).

Note:  You can use DATE to enter a constant date in a field by using a formula (for example, =DATE(60,10,30)), but it is easier and faster to type the date directly (for example, as 10/30/60).

Related functions

DAY

MONTH

YEAR


DAY function

Use

Gives the day number for a specified date.

The day number is an integer between 1 and 31.

Syntax

DAY(date number)

Arguments

Date number is the integer between 1 and 65534 that represents the date you want to find the day number for.

Works uses date number 1 to represent January 1, 1900; date number 2 represents January 2, 1900; and so on through June 3, 2079, which is date number 65534.

Examples

The date number 31882 corresponds to the date April 15, 1989.  If record 1 of a field named "Date" contains the date 4/15/89, then:

The formula =DAY(Date) gives the day number 15.

The formula =DAY(31882) also gives the day number 15.

Note:  If you do not know the number for a date, you can enter the date in short format (month/day/year) instead.  You must enclose the date in single quotation marks so Works does not interpret it as text.

For example, the formula  =DAY('4/15/89') gives the day number 15.


DDB function

Use

Finds the amount of depreciation in a specific period, using the double-declining balance method.

DDB uses the following formula to compute depreciation for a given period:

(Value*2)

   Life

Syntax

DDB(cost,salvage,life,period)

Arguments

Cost is the amount you paid for the asset.

Salvage is the amount you expect to obtain when you sell the asset at the end of its life.

Life is the number of time periods (usually years) you expect the asset to be in use.

Period is the specific time period for which you want to find the depreciation amount.

Examples

You buy a tractor for $50,000.  You expect the tractor to last 10 years, after which you could probably sell it for $8,000.  What is the depreciation expense for the seventh year?

Enter the formula =DDB(50000,8000,10,7)
This gives a result of $2,621.44

Suppose you have a database of assets with the fields Cost, Life, Salvage, and Date, where for each asset Cost is the initial cost, Life is the number of years you expect to keep the asset, Salvage is the amount you expect to sell it for, and Date is the date the asset was purchased.  How do you calculate the depreciation expense for each asset for the current year?

Enter the formula

=DDB(Cost,Salvage,Life,Year(Now())
-Year(Date))

Related functions

SLN

SYD


ERR function

Use

Gives the error value ERR.  You can use it to force a field to display ERR whenever a specified condition exists, or to find other fields whose formulas are dependent on the erroneous field.

Syntax

ERR( )

Argument

The ERR function uses no argument.

Example

If the field named Quantity contains the number 0 for a particular record, then the formula =(IF(Quantity=0,ERR(),Quantity)) gives a result of ERR.


EXP function

Use

Gives e to the power you specify, where e is 2.71828..., the base number of natural logarithms.

The EXP function is the inverse of the LN function.

Syntax

EXP(x)

Arguments

X is the power of e you want to use.

Examples

The formula =EXP(1) gives a result of 2.718... (the value of e).

The formula =EXP(LN(3)) gives a result of 3.

Note:  To compute powers of other bases, use the exponentiation operator (^).

Related function

LN


FALSE function

Use

Gives the logical value 0.  You can use FALSE instead of 0 (zero) to create more readable logical formulas.

Syntax

FALSE( )

Arguments

The FALSE function uses no argument.

Example

If a field named Quantity contains the number 5 for a particular record, then the formula =IF(Quantity>10,TRUE(),FALSE()) gives a value of 0.

Related functions

IF

TRUE


FV function

Use

Gives the future value of an ordinary annuity of equal payments, earning a fixed interest rate per term, compounded over several terms.

FV assumes that the first payment occurs at the end of the first period, and uses the following formula to calculate the future value of an ordinary annuity:

                           -Term

Payment * (1+Rate        -1)

               Rate

Syntax

FV(payment,rate,term)

Arguments

Payment is the value of one payment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Term is the number of compounding periods.

Examples

You plan on depositing $1,500 into your savings account each year for the next eight years.  The account earns 8.75% interest, compounded annually.  How much money will be in the account at the end of eight years?

Enter the formula =FV(1500,8.75%,8)

This gives a result of $16,393.61.

Note:  If the first payment occurs at the beginning of the first period (an annuity due), then the value of your account at the end of eight years is calculated by the formula
=FV(1500,8.75%,8)*(1+8.75%), which equals $17,828.05

You plan to make monthly deposits to your savings account, but you have not decided how much to deposit each month.  How can you compare how much your savings will be worth after 10 years for different monthly deposit amounts?

Create a field in your database named Amount, and enter the different monthly amounts you are considering depositing.  If the interest you can earn varies with the amount you deposit, create a field named Rate and enter the appropriate interest rates.  Then create a field named Future Value and enter the following formula:
=FV(Amount,Rate/12,10*12).


HOUR function

Use

Gives the hour number for the time you specify.

The hour number is an integer between 0 and 23.

Syntax

HOUR(time number)

Arguments

Time number uses the decimal fractions 0 through 0.999 to represent the times 12:00:00 A.M. through 11:59:59 P.M.

Example

The time 16:48:30 is represented by the time number 0.70035.  Therefore:

The formula =HOUR(0.70035) gives the hour number 16.

The formula =HOUR(TimeOut)-HOUR(TimeIn) gives the number of hours between the time in the field TimeIn and the time in the field TimeOut

Note:  If you do not know the number for a time, you can enter the time in 24-hour format instead.  You must enclose the time in single quotation marks so Works does not interpret it as text.

For example, the formula  =HOUR('16:48:30') gives the hour number 16.

Related functions

TIME

NOW


IF function

Use

Determines whether a condition you specify is true or false, and gives one value if it is true and another if it is false.

Syntax

IF(condition,value if true,value if false)

Arguments

Condition is the condition you want Works to determine the truth value of.

Value if true is the value the function will give if the condition is true.

Value if false is the value the function will give if the condition is false.

Examples

If the PartNo field for a particular record contains the number 2001, then:

The formula

=IF(PartNo>1000,NewPrice,OldPrice)

equals the value in the field NewPrice for that record.

The formula

=IF(PartNo=0,ERR(),PartNo) equals 2001.


INT function

Use

Gives the integer part of a specified number.

Note:  INT deletes the digits to the right of the decimal point without rounding to the nearest integer.  If you want to round to the nearest integer, use the ROUND function.

Syntax

INT(x)

Arguments

X is the number whose integer part you want to find.

Examples

The formula =INT(8.9) gives a result of 8.

The formula =INT(-8.9) gives a result of
-8.

Related function

ROUND


ISERR function

Use

Gives the logical value 1 if a specified variable is the error value ERR.  Otherwise, it gives the logical value 0.

Use ISERR to test for errors in your database.  ISERR can also be used to keep errors from affecting other fields.

Syntax

ISERR(x)

Arguments

X is the variable whose value determines the result of the function.

Examples

The formula =IF(ISERR(Payment),0,Payment) equals 0 if the value in the Payment field for the current record is the error value ERR; otherwise it equals the value in Payment field.

The formula =ISERR(3/0) equals 1.

Related functions

IF

ERR


ISNA function

Use

Gives the logical value 1 if a specified variable is the value N/A.  Otherwise, it gives the logical value 0.

Syntax

ISNA(x)

Arguments

X is the variable whose value determines the result of the function.

Example

The formula =IF(ISNA(Payment),0,Payment) equals 0 if the value in the Payment field for the current record is the value N/A; otherwise it equals the value in the Payment field.

Related functions

IF

NA


LN function

Use

Gives the natural logarithm of a specified number.

Natural logarithms use the mathematical constant e, 2.71828..., as a base.  The LN function is the inverse of the EXP function.

Syntax

LN(x)

Arguments

X is the number whose natural logarithm you want to find.  X must be a positive number.

Examples

The formula =LN(2.7182818) is equivalent to LN(EXP(1)), which gives a result of 1.

The formula =LN(EXP(3)) gives a result of 3.

The formula =LN(8)/LN(2) gives a result of 3 (the base 2 logarithm of 8).

Related functions

EXP

LOG


LOG function

Use

Gives the base 10 logarithm of a specified number.

The inverse of the LOG function is exponentiation.

Syntax

LOG(x)

Arguments

X is the number whose base 10 logarithm you want to find.  X must be a positive number.

Examples

The formula =LOG(10) gives a result of 1.

The formula =LOG(100000) is equivalent to LOG(1E5), which gives a result of 5.

The formula =LOG(8)/LOG(2) gives a result of 3 (the base 2 logarithm of 8).

Related function

LN


MAX function

Use

In a database, MAX gives the largest number in specified fields for the current record.  In a report, use MAX to get the maximum value in one field.

Syntax

MAX(field name0,field name1,...)

Arguments

The arguments (field name0, field name1,...) may be numbers, field names, or formulas.  Blank entries are ignored, and text is given the value 0 (zero).

Examples

In the above example, the formula

=MAX('1st','2nd','3rd','4th',Final)

equals 91 for record 1 and 85 for record 2.

The formula

=MAX('1st','2nd','4th',Final,Hmwk)

equals 100 for record 1 and 91 for record 2.

Related function

MIN


MIN function

Use

In a database, MIN gives the smallest number in specified fields for the current record.  In a report, use MIN to get the minimum value in one field.

Syntax

MIN(field name0,field name1,...)

Arguments

The arguments (field name0, field name1,...) may be numbers, field names, or formulas.  Blank entries are ignored, and text is given the value 0 (zero).

Examples

In the above example, the formula

=MIN('1st','2nd','3rd','4th',Final)

equals 78 for record 1 and 65 for record 2.

The formula

=MIN('1st','2nd','3rd','4th',Final,70)

equals 70 for record 1 and 65 for record 2.

Related function

MAX


MINUTE function

Use

Gives the minute number for the time you specify.

The minute number is an integer between 0 and 59.

Syntax

MINUTE(time number)

Arguments

Time number uses the decimal fractions 0 through 0.999 to represent the times 12:00:00 A.M. through 11:59:59 P.M.

Example

The time 16:48:30 is represented by the time number 0.70035.  Therefore:

The formula =MINUTE(0.70035) gives the minute number 48.

The formula =MINUTE(NOW()) gives the minute number of the current time.

The formula =MINUTE(TimeOut)-MINUTE(TimeIn) gives the number of minutes between the time in the field TimeIn and the time in the field TimeOut

Note:  If you do not know the number for a time, you can enter the time in 24-hour format instead.  You must enclose the time in single quotation marks so Works does not interpret it as text.

For example, the formula  =MINUTE('16:48:30') gives the minute number 48.

Related functions

TIME

NOW


MOD function

Use

Gives the remainder (modulus) of:

 Numerator

Denominator

Syntax

MOD(numerator,denominator)

Arguments

Numerator is the number you want to divide.  The remainder has the same sign as numerator.

Denominator is the number you want to divide by.  MOD gives an ERR error value if denominator equals 0 (zero).

Examples

The formula =MOD(3,-2) gives a result of 1.

The formula =MOD(-3,-2) gives a result of -1.

The formula =MOD(7,4) is equivalent to 7-INT(7/4)*4, which gives a result of 3.


MONTH function

Use

Gives the month number for a specified date.

The month number is an integer between 1 and 12.

Syntax

MONTH(date number)

Arguments

Date number is the integer between 1 and 65534 that represents the date you want to find the month number for.

Works uses date number 1 to represent January 1, 1900; date number 2 represents January 2, 1900; and so on through June 3, 2079, which is date number 65534.

Examples

The date number 31882 corresponds to the date April 15, 1989.  If record 1 of a field named "Date" contains the date 4/15/89, then:

The formula =MONTH(Date) gives the month number 4.

The formula =MONTH(31882) also gives the month number 4.

Note:  If you do not know the number for a date, you can enter the date in short format (month/day/year) instead.  You must enclose the date in single quotation marks so Works does not interpret it as text.

For example, the formula  =MONTH('4/15/89') gives the month number 4.


NA function

Use

Gives the numeric value N/A.  You can use NA to indicate that information is not available.

Syntax

NA( )

Arguments

The NA function uses no argument.

Examples

If the field named Salary contains the number 0 for a particular record, then the formula =IF(Salary=0,NA(),A1) gives the value N/A for that record.

Related functions

IF

ISNA


NOW function

Use

Gives the date and time number for the current date and time.  The integer portion of NOW( ) is the date number, and the decimal fraction is the time number.

You can use the Format menu's Time/Date command to display the date number as an actual date or time.

Syntax

NOW(  )

Arguments

The NOW function uses no argument.

Examples

If the current date and time is 4:48:00 P.M. on 4/15/89, then:

The formula =NOW( ) gives the date and time number 32613.7.

The formula =INT(NOW( )) gives the date number 32613.

The formula =HOUR(NOW( )) gives the hour number 16.

Related functions

INT

HOUR

MINUTE

SECOND


PI function

Use

Gives the number 3.14159..., an approximation of the mathematic constant pi.

Syntax

PI( )

Arguments

The PI function uses no argument.

Examples

The formula =COS(60*PI( )/180) gives a result of 0.5 (the cosine of 60 degrees).


PMT function

Use

Gives the periodic payment for a loan or an investment of principal based on a fixed interest rate per compounding period over a given term.

PMT assumes that payments occur at the end of periods of equal length, and calculates the payment based on the formula:

Present Value * Rate

                    -Term

 (1 - (1+Rate)        )

Syntax

PMT(principal,rate,term)

Arguments

Principal is the value of the initial loan or investment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Term is the number of compounding periods.

Example

You want to buy a car that requires a $12,000 loan at 9% interest per year.  What would the payments be if you tried to pay off the loan with 24 monthly installments?

Enter the formula =PMT(12000,9%/12,24)
This gives a reslult of $548.22.


PV function

Use

Gives the present value of an ordinary annuity of equal payments, earning a fixed interest rate per period, over several periods.

PV assumes that the first Payment occurs at the end of the first period, and uses the following formulas to calculate the present value of an ordinary annuity.

Rate not equal to 0 (zero):

                                  -Term

Payment * (  - (1+Rate)         )

                  Rate

Rate equal to 0 (zero):

Payment * Term

Syntax

PV(payment,rate,term)

Arguments

Payment is the value of one payment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Term is the number of compounding periods.

Example

You are to inherit $1,500 from your aunt's estate at the end of each year for the next 10 years.  You think that the annual inflation rate over the next 10 years will be 9%.  What is the value of your inheritance in today's dollars?

Enter the formula =PV(1500,9%,10)
This gives a result of $9,626.49


RAND function

Use

Gives a random number from 0 (zero) up to, but not including, 1.

Syntax

RAND( )

Arguments

The RAND function uses no arguments.

Examples

The formula =RAND( )*10+1 equals a random inumber between 1 and 11, excluding 11.

The formula =INT(RAND( )*100) equals a random integer from 0 through 99.

Related function

INT


RATE function

Use

Gives the fixed interest rate per compounding period needed for an investment to grow from its present value to a future value over several compounding periods.

RATE uses the following formula to calculate the rate:

Syntax

RATE(future value,present value,term)

Arguments

Future value is the value you want the investment to grow to.

Present value is the investment's current value.

Term is the number of compounding periods.

Example

A limited partnership plans to buy an apartment building for $750,000 with the expectation of selling it for $1,500,000 in six years.  What is the annual rate of return of the investment?

Enter the formula =RATE(1500000,750000,6)
This gives a result of 12.25%.


ROUND function

Use

Rounds a number to the specified number of places to the left or right of the decimal point.

Syntax

ROUND(x,number of places)

Arguments

X is the number you want to round off.

Number of places is the number of decimal places x is rounded to.

If the number of places is positive, x is rounded to that number of places to the right of the decimal point.

If the number of places is 0 (zero), x is rounded to the nearest integer.

If the number of places is negative, x is rounded to that number of places to the left of the decimal point.

The number of places can range from -14 to 14.

Examples

The formula =ROUND(2.15,1) gives a value of 2.2.

The formula =ROUND(2.149,1) gives a value of 2.1.

The formula =ROUND(-1.475,2) gives a value of -1.48.

The formula =ROUND(3.1416,0) gives a value of 3.

The formula =ROUND(891,-2) gives a value of 900.


SECOND function

Use

Gives the second number for the time you specify.

The second number is an integer between 0 and 59.

Syntax

SECOND(time number)

Arguments

Time number uses the decimal fractions 0 through 0.999 to represent the times 12:00:00 A.M. through 11:59:59 P.M.

Example

The time 16:48:30 is represented by the time number 0.70035.  Therefore:

The formula =SECOND(0.70035) gives the second number 30.

The formula =SECOND(NOW()) gives the second number of the current time.

The formula =SECOND(TimeOut)-SECOND(TimeIn) gives the number of seconds between the time in the field TimeIn and the time in the field TimeOut

Note:  If you do not know the number for a time, you can enter the time in 24-hour format instead.  You must enclose the time in single quotation marks so Works does not interpret it as text.

For example, the formula  =SECOND('16:48:30') gives the second number 30.

Related functions

TIME

NOW


SIN function

Use

Gives the sine of a specified angle.

Syntax

SIN(x)

Arguments

X is an angle measured in radians.

Examples

The formula =SIN(1.047) gives a result of 0.866.

Note:  If the angle whose sine you want to find is in degrees, you can multiply it by PI( )/180 to find the number of radians.

For example, if the angle is 60 degrees, =SIN(60*PI()/180) equals 0.866 (sine of 60 degrees).

Related function

PI( )


SLN function

Use

SLN uses the straight-line depreciation method to find the amount of depreciation in one period.

SLN uses the following formula to compute depreciation for a given period:

 Cost-Salvage

       Life

Syntax

SLN(cost,salvage,life)

Arguments

Cost is the amount you paid for the asset.

Salvage is the amount you expect to obtain when you sell the asset at the end of its life.

Life is the number of periods (usually measured in years) you expect the asset to be in use.

Example

You buy a tractor for $50,000.  You expect the tractor to last 10 years, after which you could probably sell it for $8,000.  What is the straight-line depreciation expense for each year?

Enter the formula =SLN(50000,8000,10)
This gives a result of $4200

Related functions

DDB

SYD


SQRT function

Use

Gives the square root of x.

Syntax

SQRT(x)

Arguments

X is the number whose square root you want to calculate.  If x is negative, Works gives the error value ERR.

Example

The formula =SQRT(16) gives a result of 4.


STD function

Use

In a database, STD gives the population standard deviation of values in FieldNames for the current record.  In a report, use STD to compute the population standard deviation in one field.

STD calculates standard deviation of a sample of the population using the following formula:

Syntax

STD(field name0,field name1,...)

Arguments

The arguments (field name0, field name1,...) may be numbers or field names.  Blank entries are ignored, and ext is given the value 0 (zero).

Example

In the above example, the formula =STD('1st','2nd','3rd','4th',Final) equals 4.95 in record 1 and 34.29 in record 2.


SUM function

Use

In a database, SUM gives the total of all values in specified fields for the current record.  In a report, use SUM to compute the total of all values in one field.

Syntax

SUM(field name0,field name1,...)

Arguments

The arguments (field name0, field name1,...) may be numbers or field names.  Blank entries are ignored, and ext is given the value 0 (zero).

Example

In the above example,

=SUM('1988', '1989', '1990', '1991', '1992') equals 118 in record 1, 43 in record 2, and 92 in record 3.


SYD function

Use

Finds the amount of depreciation in a specific period, using the sum-of-the-years-digits method.

SYD computes depreciation using the following formula:

Syntax

SYD(cost,salvage,life,period)

Arguments

Cost is the amount you paid for the asset.

Salvage is the amount you expect to obtain when you sell the asset at the end of its life.

Life is the number of periods (usually measured in years) you expect the asset to be in use.

Period is the period for which you want to find the depreciation.

Example

You buy a tractor for $50,000.  You expect the tractor to last 10 years, after which you could probably sell it for $8,000.  What is the depreciation expense for the seventh year?

Enter the formula =SYD(50000,8000,10,7)
This gives a result of $3,054.55.

Related functions

DDB

SLN


TAN function

Use

Gives the tangent of a specified angle.

Syntax

TAN(x)

Arguments

X is an angle measured in radians.

Examples

The formula =TAN(0.785) gives a result of 1.

Note:  If the angle whose tangent you want to find is in degrees, you can multiply it by PI( )/180 to find the number of radians.

For example, if the angle is 45 degrees, =TAN(45*PI()/180) equals 1 (tangent of 45 degrees).

Related function

PI( )


TERM function

Use

Gives the number of compounding periods necessary for a series of equal payments, earning a fixed interest rate per period, to grow to a future value.

TERM uses the formulas below to calculate the future value of an ordinary annuity.

Rate not equal to 0 (zero):

Rate equal to 0 (zero):

Syntax

TERM(payment,rate,future value)

Arguments

Payment is the value of one payment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Future value is the amount you want the investment to grow to.

Example

Every month you put $200 into a savings account earning 8 3/4% interest, compounded monthly.  How long will it take to accumulate $5,000?

Enter the formula =TERM(200,8.75%/12,5000)
This gives a result of 23.05 (months).


TIME function

Use

Gives a time number for the specified hour, minute, and second.  The time number is a fraction between 0.0 (which represents 0:00:00, or 12:00:00 AM)and 0.999 (which represents 23:59:59, or 11:59:59 PM).

Syntax

TIME(hour,minute,second)

Arguments

Hour is a number between 0 and 23.

Minute and Second are generally numbers ranging from 0 through 59.

Examples

The formula =TIME(16,48,0) gives a result of 0.7 (time number of 4:48:00 P.M.).

The formula =(TIME(16,48,0)-
TIME(12,0,0))*24*60 gives a result of 288 (minutes between 4:48 P.M. and 12:00 P.M.).

Related functions

HOUR

MINUTE

SECOND


TRUE function

Use

Gives the logical value 1.  You can use TRUE instead of 1 to create more readable logical formulas.

Syntax

TRUE( )

Arguments

The TRUE functions uses no argument.

Example

If the field named PartNo contains the number 20 for a particular record, then the formula =IF(PartNo>10,TRUE(),FALSE()) gives a result of 1.

Related function

FALSE


VAR function

Use

In a database, VAR gives the variance of values in specified field names for the current record.  In a report, use VAR to compute the variance in one field.

VAR calculates the variance of the specified numbers using the formula:

VAR(ranges)*(COUNT(ranges)

         (COUNT(ranges)-1))

Syntax

VAR(field name0,field name1,...)

Arguments

The arguments (field name0, field name1,...) may be numbers or field names.  Blank entries are ignored, and text is given the value 0 (zero).

Example

In the above example, the formula

=VAR('1st','2nd','3rd','4th',Final)

equals 24.5 in record 1 and 1175.6 in record 2.


YEAR function

Use

Gives the year number for a specified date.

The year number is an integer between 0 and 179.

Syntax

YEAR(date number)

Arguments

Date number is the integer between 1 and 65534 that represents the date you want to find the day, month, or year number for.

Works uses date number 1 to represent January 1, 1900; date number 2 represents January 2, 1900; and so on through June 3, 2079, which is date number 65534.

Examples

The date number 31882 corresponds to the date April 15, 1989.  If record 1 of a field named "Date" contains the date 4/15/89, then:

The formula =YEAR(Date) gives the year number 89.

The formula =YEAR(31882) also gives the year number 89.

Note:  If you do not know the number for a date, you can enter the date in short format (month/day/year) instead.  You must enclose the date in single quotation marks so Works does not interpret it as text.

For example, the formula  =YEAR('4/15/89') gives the year number 89.


ABS function

Use

Gives the absolute value of a specified number.

Syntax

ABS(x)

Arguments

X is the number whose absolute value you want to find.

Examples

The formula =ABS(-2) gives a result of 2.

The formula =ABS(2) gives a result of 2.


ACOS function

Use

Gives the arccosine of a number.  The arccosine of a number is the angle whose cosine is that number.

ACOS gives the size of the angle in radians.  The angle will range from 0 radians (0 degrees) through pi radians (180 degrees).

Syntax

ACOS(x)

Arguments

X is the cosine of the angle you want to find.  X must be a number between -1 and 1.

Examples

The formula =ACOS(-0.5) gives a result of 2.094 radians (2 1/3 radians).

Note:  If you want to convert the result from radians to degrees, multiply by 180\PI( ).

For example, =ACOS(-0.5)*180/PI( ) gives a result of 120 degrees.

Related function

PI( )


ASIN function

Use

Gives the arcsine of a number.  The arcsine of a number is the angle whose sine is that number.

ASIN gives the size of the angle in  radians.  The angle will range from -1/2 radians (-90 degrees) through 1/2 radians (90 degrees).

Syntax

ASIN(x)

Arguments

X is the sine of the angle you want to find.  X must be a number between -1 and 1.

Examples

The formula =ASIN(-0.5) gives a result of -0.524 radians (-1/6 radians).

Note:  If you want to convert the result from radians to degrees, multiply by 180/PI( ).

For example, =ASIN(-0.5)*180/PI( ) gives a result of -30 degrees.

Related function

PI( )


ATAN function

Use

Gives the arctangent of a number.  The arctangent of a number is the angle whose tangent is that number.

ATAN gives the size of the angle in radians.  The angle will range from -pi/2 radians (-90 degrees) through pi/2 radians (90 degrees).

Syntax

ATAN(x)

Arguments

X is the tangent of the angle you want to find.

Examples

The formula =ATAN(1) gives a result of 0.785 radians (1/4 radians).

Note:  If you want to convert the result from radians to degrees, multiply by 180/PI( ).

For example, =ATAN(1)*180/PI( ) gives a result of -45 degrees.

Related function

PI( )


ATAN2 function

Use

Gives the arctangent of an angle defined by x- and y-coordinates.  The arctangent is the angle from the x-axis to a line that contains the origin (0,0) and the point described by the coordinates.

ATAN2 gives the size of the angle in radians.  The angle will range from -pi radians (180 degrees) to, but not including, pi radians (180 degrees).

Syntax

ATAN2(x-coordinate,y-coordinate)

Arguments

X-coordinate is the x-coordinate of the point defining the angle whose arctangent you want to find.

Y-coordinate is the y-coordinate of the point defining the angle whose arctangent you want to find.

If the  x-coord.is: positive negative  negative  positive	and the  y-coord. is: positive  positive  negative  negative	ATAN2 gives angle between: 0 and 1/2 1/2 and 1 1 and -1/2 1/2 and 0
If both the x-coordinate and y-coordinate equal 0, ATAN2 gives the error value ERR.

Examples

The formula =ATAN2(1,1) gives a result of 0.785 radians (1/4 radians).

The formula =ATAN2(-1,-1) gives a result of -2.356 radians (-3 1/4 radians).

A positive result represents a counterclockwise angle from the x-axs; a negative result represents a clockwise angle.

Note:  If you want to convert the result from radians to degrees, multiply by 180/PI().

For example, =ATAN2(-1,-1)*180/PI( ) gives a result of -135 degrees.

Related function

PI( )


AVG function

Use

Gives the average of values in specified range references.

Syntax

AVG(range reference0,range reference1,...)

Arguments

The arguments (range reference0,range reference1,...) may be numbers, cell references, range references, or formulas.  In cell references, blank cells are given the value 0 (zero).  In range references, blank cells are ignored.  In all references, text is given the value 0 (zero).

Examples

In the above example, the formula =AVG(A2:E2) gives a result of 85.

The formula =AVG(A2:E2,F2) gives a result of 88.


CHOOSE function

Use

Uses a value you specify to select from a list of other values.  For example, if the value you specify is 0, CHOOSE selects option0; if the value is 1, CHOOSE selects option1, and so on.  If the Choice is less than 0 (zero) or greater than the number of options in the list, CHOOSE gives the error value ERR.

Syntax

CHOOSE(choice,option0,option1,...)

Arguments

Choice is the value that determines which option is selected.

Option0 is the first option, option1 is the second, and so on.

Note:  The value of choice must be greater than or equal to 0 and less than the number of options in the list; otherwise, CHOOSE gives the error value ERR.

Example

If cell A1 contains the number 2, then:
=CHOOSE(A1-1,10,20,30) gives a result of 20.


COLS function

Use

Gives the number of columns in a specified range reference.

Syntax

COLS(Range reference)

Arguments

Range reference is the range in which you want to count the columns.  You can enter a range name or the range reference.

Examples

If the range B2:D5 in your spreadsheet is named Table, then:

The formula =COLS(Table) gives a result of 3.

The formula =COLS(B2:D5) gives a result of 3.

Related function

ROWS


COS function

Use

Gives the cosine of a specified angle.

Syntax

COS(x)

Arguments

X is an angle measured in radians.

Examples

The formula =COS(1.047) gives a result of 0.5.

Note:  If the angle whose cosine you want to find is in degrees, you can multiply it by PI()\180 to find the number of radians.

For example, if the angle is 60 degrees, =COS(60*PI()/180) equals 0.5 (cosine of 60 degrees).

Related function

PI( )


COUNT function

Use

Gives the number of cells contained in a specified range reference.  COUNT adds 1 for every cell that contains a number, formula, text, ERR, and N/A.

Syntax

COUNT(range reference0,range reference1,...)

Arguments

The arguments (range reference0, range reference1,....) may be numbers, cell references, range references, or formulas.  In range references, blank cells are ignored.  In cell references, blank cells add 1 to the count.

Examples

In the example above, the formula =COUNT(B2:F2) gives a result of 4.

The formula =COUNT(B2:F2,E2) gives a result of 5.


CTERM function

Use

Gives the number of compounding periods needed for an investment, earning a fixed rate per compounding period, to grow from its present value to a future value.

Syntax

CTERM(rate,future value,present value)

Arguments

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Future value is the value you want your investment to grow to.

Present value is the value of your investment now.

Example

You put $1,000 into a savings account with a yearly interest rate of 8 3/4%.  Interest is compounded monthly.  How long does it take to double your investment?

Enter the formula =CTERM(8.75%/12,2000,1000)
This gives a result of 95.41 months (about eight years).


DATE function

Use

Gives a date number for the specified year, month, and day.  The date number is an integer ranging from 1 through 65534, representing the dates from January 1, 1900 through June 3, 2079 (Works' range of dates).

Syntax

DATE(year,month,day)

Arguments

Year must be a number ranging from 0 (1900) to 179 (2079).

Month is a number between 1 and 12.

Day is a number between 1 and 31.

Note:  If the specified year, month, and day do not make up a valid date within Works' range of dates, DATE gives the error value ERR.

Examples

If cell A3 in your spreadsheet contains the number of the current quarter (1, 2, 3, or 4) of 1989, then:

=DATE(89,A3*3+1,1) equals the date number of the first day of the next quarter

=DATE(89,A3*3+1,1)-
DATE(89,A3*3-2,1) equals the number of days in this quarter

=DAY(DATE(89,7,1),7) equals 1 (day of the date of Saturday, July 1, 1989)

Note:  You can use DATE to enter a constant date in a cell by using a formula (for example, =DATE(60,10,30)), but it is easier and faster to type the date directly (for example, as 10/30/60).

Related functions

DAY

MONTH

YEAR


DAY function

Use

Gives the day number for a specified date.

The day number is an integer between 1 and 31.

Syntax

DAY(date number)

Arguments

Date number is the integer between 1 and 65534 that represents the date you want to find the day number for.

Works uses date number 1 to represent January 1, 1900; date number 2 represents January 2, 1900; and so on through June 3, 2079, which is date number 65534.

Examples

The date number 31882 corresponds to the date April 15, 1989.  Therefore:

The formula =DAY(31882) gives the day number 15.

Note:  If you do not know the number for a date, you can enter the date in short format (month/day/year) instead.  You must enclose the date in single quotation marks so Works does not interpret it as text.

For example, the formula  =DAY('4/15/89') gives the day number 15.


DDB function

Use

Finds the amount of depreciation in a specific period, using the double-declining balance method.

DDB uses the following formula to compute depreciation for a given period:

(Value*2)

   Life

Syntax

DDB(cost,salvage,life,period)

Arguments

Cost is the amount you paid for the asset.

Salvage is the amount you expect to obtain when you sell the asset at the end of its life.

Life is the number of time periods (usually years) you expect the asset to be in use.

Period is the specific time period for which you want to find the depreciation amount.

Example

You buy a tractor for $50,000.  You expect the tractor to last 10 years, after which you could probably sell it for $8,000.  What is the depreciation expense for the seventh year?

Enter the formula =DDB(50000,8000,10,7)
This gives a result of $2,621.44

Related functions

SLN

SYD


ERR function

Use

Gives the error value ERR.  You can use it to force a cell to display ERR whenever a specified condition exists, or to find other cells whose formulas are dependent on the erroneous cell.

Syntax

ERR( )

Argument

The ERR function uses no argument.

Example

If cell A1 in your spreadsheet contains the number 0, then:

The formula =(IF(A1=0,ERR( ),A1)) gives the value ERR.


EXP function

Use

Gives e to the power you specify, where e is 2.71828..., the base number of natural logarithms.

The EXP function is the inverse of the LN function.

Syntax

EXP(x)

Arguments

X is the power of e you want to use.

Examples

The formula =EXP(1) gives a result of 2.718... (the value of e).

The formula =EXP(LN(3)) gives a result of 3.

Note:  To compute powers of other bases, use the exponentiation operator (^).

Related function

LN


FALSE function

Use

Gives the logical value 0.  You can use FALSE instead of 0 (zero) to create more readable logical formulas.

Syntax

FALSE( )

Arguments

The FALSE function uses no argument.

Example

If cell A1 in your spreadsheet contains the number 5, then the formula
=IF(A1>10,TRUE( ),FALSE( )) gives a result of 0.

Related functions

IF

TRUE


FV function

Use

Gives the future value of an ordinary annuity of equal payments, earning a fixed interest rate per term, compounded over several terms.

FV assumes that the first payment occurs at the end of the first period, and uses the following formula to calculate the future value of an ordinary annuity:

                           -Term

Payment * (1+Rate        -1)

               Rate

Syntax

FV(payment,rate,term)

Arguments

Payment is the value of one payment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Term is the number of compounding periods.

Example

You plan on depositing $1,500 into your savings account each year for the next eight years.  The account earns 8.75% interest, compounded annually.  How much money will be in the account at the end of eight years?

Enter the formula =FV(1500,8.75%,8)

This gives a result of $16,393.61.

Note:  If the first payment occurs at the beginning of the first period (an annuity due), then the value of your account at the end of eight years is calculated by the formula
=FV(1500,8.75%,8)*(1+8.75%), which equals $17,828.05


HLOOKUP function

Use

Finds the entry in a specific location in a specified range reference.

Syntax

HLOOKUP(lookup value,range reference,row number)

Arguments

Range reference is the range in which you want the to find the entry.

Lookup value is the value the function will search for first.  HLOOKUP searches the top row of the specified range until it finds this value.

Row number is the number of rows below the lookup value where HLOOKUP will find the entry.

Example

To have Works find the 1990 ticket price for the River tour in the spreadsheet shown below:

Enter the formula =HLOOKUP(1990,b3:e6,3)
This gives a result of 827, the entry 3 rows below the lookup value.

Related functions

VLOOKUP

INDEX


HOUR function

Use

Gives the hour number for the time you specify.

The hour number is an integer between 0 and 23.

Syntax

HOUR(time number)

Arguments

Time number uses the decimal fractions 0 through 0.999 to represent the times 12:00:00 A.M. through 11:59:59 P.M.

Example

The time 16:48:30 is represented by the time number 0.70035.  Therefore:

The formula =HOUR(0.70035) gives the hour number 16.

Note:  If you do not know the number for a time, you can enter the time in 24-hour format instead.  You must enclose the time in single quotation marks so Works does not interpret it as text.

For example, the formula  =HOUR('16:48:30') gives the hour number 16.

Related function

TIME


IF function

Use

Determines whether a condition you specify is true or false, and gives one value if it is true and another if it is false.

Syntax

IF(condition,value if true,value if false)

Arguments

Condition is the condition you want Works to determine the truth value of.

Value if true is the value the function will give if the condition is true.

Value if false is the value the function will give if the condition is false.

Examples

If cell A1 in your spreadsheet contains the number 20, then:

=IF(A1>10,B1,C1) gives the value in cell B1 (the value if true).

=IF(A1=0,ERR( ),A1/100) gives the value 0.2 (the value if true).


INDEX function

Use

Gives the value in a cell at the intersection of a specific column and row, within a range you specify.

Syntax

INDEX(range reference,column,row)

Arguments

Range reference is the range that contains the cell whose value you want to find.

Column is the column that contains the cell.  The first column in the range is considered column 0; the second is column 1, and so on.

Row is the row that contains the cell.  The first row in the range is considered row 0; the second is row 1, and so on.

Examples

In the example shown above, the formula =INDEX(B2:D5,2,1) gives a value of 60, the value in cell D3.

The formula =INDEX(B2:D5,1,2) gives a value of 80, the value in cell C4.

The formula =INDEX(B2:D5,0,0) gives a value of 10.

The formula =INDEX(B2:D5,3,4) gives a value of ERR.

The formula =INDEX(B2:D5,-1,-1) gives a value of ERR.

Related functions

HLOOKUP

VLOOKUP


INT function

Use

Gives the integer part of a specified number.

Note:  INT deletes the digits to the right of the decimal point without rounding to the nearest integer.  If you want to round to the nearest integer, use the ROUND function.

Syntax

INT(x)

Arguments

X is the number whose integer part you want to find.

Examples

The formula =INT(8.9) gives a result of 8.

The formula =INT(-8.9) gives a result of -8.

Related function

ROUND


IRR function

Use

Gives the internal rate of return for the cash flow series in a range reference.  The internal rate of return is the interest rate that gives the cash flow series a net present value of 0 (zero).

IRR uses an iterative technique that can have more than one solution.  IRR gives an ERR error value if the computations do not converge to within 0.0000001 after 20 iterations.

Syntax

IRR(guess,range reference)

Arguments

Guess is an arbitrary interest rate value you enter to tell IRR where to begin.  Enter a different guess if Works cannot determine the IRR.  Usually, a starting value between 0% and 100% yields a meaningful result.

Range reference is the reference of the cells in your spreasheet that contain the cash flow series whose internal rate of return you want to find.

Example

You have an investment, represented by the cash flow numbers in the spreadsheet shown below, that should yield around 10%.  What is the actual internal rate of return?

Enter the formula =IRR(10%,A1:F1)

This gives the result 8.16%.


ISERR function

Use

Gives the logical value 1 if a specified variable is the error value ERR.  Otherwise, it gives the logical value 0.

Syntax

ISERR(x)

Arguments

X is the variable whose value determines the result of the function.  X can be a cell reference or a number.

Examples

Use ISERR to test for errors in your spreadsheet.  As the diagram shows, ISERR can be used to prevent errors from flowing to other related cells.

If cell A1 contains the error value ERR:

The formula =IF(ISERR(A1),2,1) gives a value of 2.

The formula =ISERR(3/0) gives a vaule of 1.

Related function

IF


ISNA function

Use

Gives the logical value 1 if a specified variable is the value N/A.  Otherwise, it gives the logical value 0.

Syntax

ISNA(x)

Arguments

X is the variable whose value determines the result of the function.  X can be a cell reference or a number.

Example

Use ISNA to test for N/A values in your spreadsheet.  As the diagram below shows, ISNA can be used to prevent N/A values from flowing to other cells.

If cell A1 contains the value N/A, then:

The formula =IF(ISNA(A1),2,1) gives a value of 2.

Related functions

IF

NA


LN function

Use

Gives the natural logarithm of a specified number.

Natural logarithms use the mathematical constant e, 2.71828..., as a base.  The LN function is the inverse of the EXP function.

Syntax

LN(x)

Arguments

X is the number whose natural logarithm you want to find.  X must be a positive number.

Examples

The formula =LN(2.7182818) is equivalent to LN(EXP(1)), which gives a result of 1.

The formula =LN(EXP(3)) gives a result of 3.

The formula =LN(8)/LN(2) gives a result of 3 (the base 2 logarithm of 8).

Related functions

EXP

LOG


LOG function

Use

Gives the base 10 logarithm of a specified number.

The inverse of the LOG function is exponentiation.

Syntax

LOG(x)

Arguments

X is the number whose base 10 logarithm you want to find.  X must be a positive number.

Examples

The formula =LOG(10) gives a result of 1.

The formula =LOG(100000) is equivalent to LOG(1E5), which gives a result of 5.

The formula =LOG(8)/LOG(2) gives a result of 3 (the base 2 logarithm of 8).

Related function

LN


MAX function

Use

Gives the largest number contained in specified range references.

Syntax

MAX(range reference0,range reference1,...)

Arguments

The arguments (range reference0,range reference1,...) may be numbers, cell references, range references, or formulas.  In range references, blank cells are ignored.  In cell references, blank cells are given the value 0 (zero).  In all references, text is given the value 0 (zero).

Examples

In the above example, the formula =MAX(A2:E2) gives a result of 91.

The formula =MAX(A2:E2,16,190) gives a result of 190.

Related function

MIN


MIN function

Use

MIN gives the smallest number contained in specified range references.

Syntax

MIN(range reference0,range reference1,...)

Arguments

The arguments (range reference0,range reference1,...) may be numbers, cell references, range references, or formulas.  In range references, blank cells are ignored.  In cell references, blank cells are given the value 0 (zero).  In all references, text is given the value 0 (zero).

Example

In the above example, the formula =MIN(A2:E2,70) gives a result of 70.

Related function

MAX


MINUTE function

Use

Gives the minute number for the time you specify.

The minute number is an integer between 0 and 59.

Syntax

MINUTE(time number)

Arguments

Time number uses the decimal fractions 0 through 0.999 to represent the times 12:00:00 A.M. through 11:59:59 P.M.

Example

The time 16:48:30 is represented by the time number 0.70035.  Therefore:

The formula =MINUTE(0.70035) gives the minute number 48.

Note:  If you do not know the number for a time, you can enter the time in 24-hour format instead.  You must enclose the time in single quotation marks so Works does not interpret it as text.

For example, the formula  =MINUTE('16:48:30') gives the minute number 48.

Related function

TIME


MOD function

Use

Gives the remainder (modulus) of:

 Numerator

Denominator

Syntax

MOD(numerator,denominator)

Arguments

Numerator is the number you want to divide.  The remainder has the same sign as numerator.

Denominator is the number you want to divide by.  MOD gives an ERR error value if denominator equals 0 (zero).

Examples

The formula =MOD(3,-2) gives a result of 1.

The formula =MOD(-3,-2) gives a result of -1.

The formula =MOD(7,4) is equivalent to 7-INT(7/4)*4, which gives a result of 3.

Related function

INT


MONTH function

Use

Gives the month number for a specified date.

The month number is an integer between 1 and 12.

Syntax

MONTH(date number)

Arguments

Date number is the integer between 1 and 65534 that represents the date you want to find the month number for.

Works uses date number 1 to represent January 1, 1900; date number 2 represents January 2, 1900; and so on through June 3, 2079, which is date number 65534.

Examples

The date number 31882 corresponds to the date April 15, 1989.  Therefore:

The formula =MONTH(31882) gives the month number 4.

Note:  If you do not know the number for a date, you can enter the date in short format (month/day/year) instead.  You must enclose the date in single quotation marks so Works does not interpret it as text.

For example, the formula  =MONTH('4/15/89') gives the month number 4.


NA function

Use

Gives the numeric value N/A.  You can use NA to indicate that information is not available.

Syntax

NA( )

Arguments

The NA function uses no argument.

Example

If cell A1 contains the number 0, then:

The formula =IF(A1=0,NA( ),A1) gives a result of N/A.

Related functions

IF

ISNA


NOW function

Use

Gives the date and time number for the current date and time.  It is updated at every recalculation.  The integer portion of NOW( ) is the date number, and the decimal fraction is the time number.

You can use the Format menu's Time/Date command to display the date number as an actual date or time.

Syntax

NOW(  )

Arguments

The NOW function uses no argument.

Examples

If the current date and time is 4:48:00 P.M. on 4/15/89, then:

The formula =NOW( ) gives the date and time number 32613.7.

The formula =INT(NOW( )) gives the date number 32613.

The formula =HOUR(NOW( )) gives the hour number 16.

Related functions

INT

HOUR


NPV function

Use

NPV gives the net present value of a series of cash flow payments in a range reference, discounted at a fixed Rate per period.

NPV assumes that payments occur at the end of periods of equal length, and uses this formula to find the net present value:

Syntax

NPV(rate,range reference)

Arguments

Rate is the interest rate you want to use to discount each period.  For example, if you have a 12% annual interest rate but want to discount on a monthly basis, divide the annual interest rate by 12 to find the monthly rate; in this case, 1% per month.

Range reference is the reference of the cells in your spreadsheet that contain the figures for your cash flow payments.  The range must be a single cell or of part of a single row or column; it may not contain more than one row or more than one column.

Examples

You are interested in a rental contract that promises a 10% yield and four yearly payments.  Cells B2:E2 contain the expected yearly payments.  How much you should pay for the investment?

Enter the formula
=NPV(10%,B2:E2)-B1
This gives a result of $1,665.32.

Note:  To find the net present value of a cash flow series whose first payment occurs at the beginning of the periods, you must add the amount of the first payment to the net present value of the subsequent payments.  In the example above, you would enter =500+NPV(10%,C2:E2)-B1, which gives a result of $2,631.86.

Related function

PV


PI function

Use

Gives the number 3.14159..., an approximation of the mathematic constant pi.

Syntax

PI( )

Arguments

The PI function uses no argument.

Example

The formula =COS(60*PI( )/180) gives a result of 0.5 (the cosine of 60 degrees).


PMT function

Use

Gives the periodic payment for a loan or an investment of principal based on a fixed interest rate per compounding period over a given term.

PMT assumes that payments occur at the end of periods of equal length, and calculates the payment based on the formula:

Present Value * Rate

                    -Term

 ( 1 - (1+Rate)        )

Syntax

PMT(principal,rate,term)

Arguments

Principal is the value of the initial loan or investment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Term is the number of compounding periods.

Example

You want to buy a car that requires a $12,000 loan at 9% interest per year.  What would the payments be if you tried to pay off the loan with 24 monthly installments?

Enter the formula =PMT(12000,9%/12,24)
This gives a result of $548.22.


PV function

Use

Gives the present value of an ordinary annuity of equal payments, earning a fixed interest rate per period, over several periods.

PV assumes that the first Payment occurs at the end of the first period, and uses the following formulas to calculate the present value of an ordinary annuity.

Rate not equal to 0 (zero):

                                  -Term

Payment * (1-(1+Rate)         )

                  Rate

Rate equal to 0 (zero):

Payment * Term

Syntax

PV(payment,rate,term)

Arguments

Payment is the value of one payment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Term is the number of compounding periods.

Example

You are to inherit $1,500 from your aunt's estate at the end of each year for the next 10 years.  You think that the annual inflation rate over the next 10 years will be 9%.  What is the value of your inheritance in today's dollars?

Enter the formula =PV(1500,9%,10)
This gives a result of $9,626.49


RAND function

Use

Gives a random number from 0 (zero) up to, but not including, 1.

RAND generates a random number each time the spreadsheet is recalculated.

Syntax

RAND( )

Arguments

The RAND function uses no arguments.

Examples

The formula =RAND( )*10+1 equals a random inumber between 1 and 11, excluding 11.

The formula =INT(RAND( )*100) equals a random integer from 0 through 99.

Related function

INT


RATE function

Use

Gives the fixed interest rate per compounding period needed for an investment to grow from its present value to a future value over several compounding periods.

RATE uses the following formula to calculate the rate:

Syntax

RATE(future value,present value,term)

Arguments

Future value is the value you want the investment to grow to.

Present value is the investment's current value.

Term is the number of compounding periods.

Example

A limited partnership plans to buy an apartment building for $750,000 with the expectation of selling it for $1,500,000 in six years.  What is the annual rate of return of the investment?

Enter the formula =RATE(1500000,750000,6)
This gives a result of 12.25%.


ROUND function

Use

Rounds a number to the specified number of places to the left or right of the decimal point.

Syntax

ROUND(x,number of places)

Arguments

X is the number you want to round off.

Number of places is the number of decimal places x is rounded to.

If the number of places is positive, x is rounded to that number of places to the right of the decimal point.

If the number of places is 0 (zero), x is rounded to the nearest integer.

If the number of places is negative, x is rounded to that number of places to the left of the decimal point.

The number of places can range from -14 to 14.

Examples

The formula =ROUND(2.15,1) gives a value of 2.2.

The formula =ROUND(2.149,1) gives a value of 2.1.

The formula =ROUND(-1.475,2) gives a value of -1.48.

The formula =ROUND(3.1416,0) gives a value of 3.

The formula =ROUND(891,-2) gives a value of 900.


ROWS function

Use

Gives the number of rows in a specified range reference.

Syntax

ROWS(range reference)

Arguments

Range reference is the range of cells in which you want to count the number of rows.  You can enter a range name or the range reference.

Examples

If the range B2:D5 in your spreadsheet is named Table, then:

The formula =ROWS(Table) gives a result of 4.

The formula =ROWS(B2:D5) gives a result of 4.

Related function

COLS


SECOND function

Use

Gives the second number for the time you specify.

The second number is an integer between 0 and 59.

Syntax

SECOND(time number)

Arguments

Time number uses the decimal fractions 0 through 0.999 to represent the times 12:00:00 A.M. through 11:59:59 P.M.

Examples

The time 16:48:30 is represented by the time number 0.70035.  Therefore:

The formula =SECOND(0.70035) gives the second number 30.

Note:  If you do not know the number for a time, you can enter the time in 24-hour format instead.  You must enclose the time in single quotation marks so Works does not interpret it as text.

For example, the formula  =SECOND('16:48:30') gives the second number 30.

Related function

TIME


SIN function

Use

Gives the sine of a specified angle.

Syntax

SIN(x)

Arguments

X is an angle measured in radians.

Examples

The formula =SIN(1.047) gives a result of 0.866.

Note:  If the angle whose sine you want to find is in degrees, you can multiply it by PI( )/180 to find the number of radians.

For example, if the angle is 60 degrees, =SIN(60*PI()/180) equals 0.866 (sine of 60 degrees).

Related function

PI( )


SLN function

Use

SLN uses the straight-line depreciation method to find the amount of depreciation in one period.

SLN uses the following formula to compute depreciation for a given period:

 Cost-Salvage

       Life

Syntax

SLN(cost,salvage,life)

Arguments

Cost is the amount you paid for the asset.

Salvage is the amount you expect to obtain when you sell the asset at the end of its life.

Life is the number of periods (usually measured in years) you expect the asset to be in use.

Example

You buy a tractor for $50,000.  You expect the tractor to last 10 years, after which you could probably sell it for $8,000.  What is the straight-line depreciation expense for each year?

Enter the formula =SLN(50000,8000,10)
This gives a result of $4200

Related functions

DDB

SYD


SQRT function

Use

Gives the square root of x.

Syntax

SQRT(x)

Arguments

X is the number whose square root you want to calculate.  If x is negative, Works gives the error value ERR.

Example

The formula =SQRT(16) gives a result of 4.


STD function

Use

Gives the population standard deviation of specified range references.

STD calculates standard deviation of a sample of the population using the following formula:

STD(ranges)*SQRT(COUNT(ranges))

             (COUNT(ranges)-1))

Syntax

STD(range reference0,range reference1,...)

Arguments

The arguments (range reference0,range reference1,...) may be numbers, cell references, range references, or formulas.  In range references, blank cells are ignored.  In cell references, blank cells are given the value 0 (zero).  In all references, text is given the value 0 (zero).

Example

In the above example, the formula =STD(A2:E2) gives a result of 4.95.


SUM function

Use

Gives the total of all values in specified range references.

Syntax

SUM(range reference0,range reference1,...)

Arguments

The arguments (range reference0,range reference1,...) may be numbers, cell references, range references, or formulas.  In range references, blank cells are ignored.  In cell references, blank cells are given the value 0 (zero).

Examples

In the above example, the formula =SUM(B2:E2) gives a result of 82.

The formula =SUM(B2:E2,E3,E4) gives a result of 123.


SYD function

Use

Finds the amount of depreciation in a specific period, using the sum-of-the-years-digits method.

SYD computes depreciation using the following formula:

Syntax

SYD(cost,salvage,life,period)

Arguments

Cost is the amount you paid for the asset.

Salvage is the amount you expect to obtain when you sell the asset at the end of its life.

Life is the number of periods (usually measured in years) you expect the asset to be in use.

Period is the period for which you want to find the depreciation.

Example

You buy a tractor for $50,000.  You expect the tractor to last 10 years, after which you could probably sell it for $8,000.  What is the depreciation expense for the seventh year?

Enter the formula =SYD(50000,8000,10,7)
This gives a result of $3,054.55.

Related functions

DDB

SLN


TAN function

Use

Gives the tangent of a specified angle.

Syntax

TAN(x)

Arguments

X is an angle measured in radians.

Examples

The formula =TAN(0.785) gives a result of 1.

Note:  If the angle whose tangent you want to find is in degrees, you can multiply it by PI( )/180 to find the number of radians.

For example, if the angle is 45 degrees, =TAN(45*PI()/180) equals 1 (tangent of 45 degrees).

Related function

PI( )


TERM function

Use

Gives the number of compounding periods necessary for a series of equal payments, earning a fixed interest rate per period, to grow to a future value.

TERM uses the formulas below to calculate the future value of an ordinary annuity.

Rate not equal to 0 (zero):

Rate equal to 0 (zero):

Syntax

TERM(payment,rate,future value)

Arguments

Payment is the value of one payment.

Rate is the interest rate for a single compounding period.  For example, if your investment earns 5% annually and interest is compounded monthly, rate is 5/12.

Future value is the amount you want the investment to grow to.

Example

Every month you put $200 into a savings account earning 8 3/4% interest, compounded monthly.  How long will it take to accumulate $5,000?

Enter the formula =TERM(200,8.75%/12,5000)
This gives a result of 23.05 (months).


TIME function

Use

Gives a time number for the specified hour, minute, and second.

The time number is a fraction between 0.0 (which represents 0:00:00, or 12:00:00 AM)and 0.999 (which represents 23:59:59, or 11:59:59 PM).

Syntax

TIME(hour,minute,second)

Arguments

Hour is a number between 0 and 23.

Minute and Second are generally numbers ranging from 0 through 59.

Examples

The formula =TIME(16,48,0) gives a result of  0.7 (time number of 4:48:00 P.M.).

The formula =(TIME(16,48,0)-
TIME(12,0,0))*24*60 gives a result of 288 (minutes between 4:48 P.M. and 12:00 P.M.).

Related functions

HOUR

MINUTE

SECOND


TRUE function

Use

Gives the logical value 1.  You can use TRUE instead of 1 to create more readable logical formulas.

Syntax

TRUE( )

Arguments

The TRUE functions uses no argument.

Example

If cell A1 in your spreadsheet contains the number 20, then  the formula =IF(A1>10, TRUE( ),FALSE( )) gives a result of 1.

Related functions

IF

FALSE


VAR function

Use

Calculates the variance of the numbers in specified range references.

VAR calculates the variance of the specified numbers using the formula:

VAR(ranges)*(COUNT(ranges)

      (COUNT(ranges)-1))

Syntax

VAR(range reference0,range reference1,...)

Arguments

The arguments (range reference0,range reference1,...) may be numbers, cell references, range references, or formulas.  In range references, blank cells are ignored.  In cell references, blank cells are given the value 0 (zero). In all references, text is given the value 0 (zero).

Example

In the above example, the formula =VAR(A2:E2) gives a result of 24.50.


VLOOKUP function

Use

Finds the entry in a specific location in a specified range reference.

Syntax

VLOOKUP(lookup value, range reference, column number)

Arguments

Range reference is the range in which you want the to find the entry.

Lookup value is the value the function will search for first.  VLOOKUP searches the left-most column of the range until it finds this value.

Column number is the number of columns to the right of the lookup value where VLOOKUP will find the entry.

Example

To have Works find the 1989 ticket price for the Reef tour in the spreadsheet shown below:

Enter the formula =VLOOKUP(1989,a4:d8,1)
This gives a result of 479, the entry 1 column to the right of the lookup value.

Related functions

HLOOKUP

INDEX


YEAR function

Use

Gives the year number for a specified date.

The year number is an integer between 0 and 179.

Syntax

YEAR(date number)

Arguments

Date number is the integer between 1 and 65534 that represents the date you want to find the day, month, or year number for.

Works uses date number 1 to represent January 1, 1900; date number 2 represents January 2, 1900; and so on through June 3, 2079, which is date number 65534.

Examples

The date number 31882 corresponds to the date April 15, 1989.  Therefore:

The formula =YEAR(31882) gives the year number 89.

Note:  If you do not know the number for a date, you can enter the date in short format (month/day/year) instead.  You must enclose the date in single quotation marks so Works does not interpret it as text.

For example, the formula  =YEAR('4/15/89') gives the year number 89.